<?php

namespace App\Console\Commands;

use App\Models\ActualGanttTask;
use App\Models\GanttTask;
use App\Models\GanttTaskResume;
use App\Models\Project;
use Carbon\Carbon;
use Illuminate\Console\Command;

class genGanttResume extends Command
{
    private $data_week = array();
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'GenProgressAkumulasi:run {--tanggal=}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */

    public function genPlanning($project, $week_awal, $week_akhir){
        $plannings = GanttTask::where('level', '>', 0)->where('hasChild',0)
        ->where('project_id', $project->project_id)->where('bobot','>',0)
        ->orderBy('start')->get();
        
        if(!empty($plannings)){
            foreach($plannings as $plan){
                $start = Carbon::createFromFormat('Y-m-d', $plan->start);
                $end = Carbon::createFromFormat('Y-m-d', $plan->end);
                $firstweekdate = $start->endOfWeek()->format('Y-m-d');
                $endweekdate = $end->endOfWeek()->format('Y-m-d');

                $week_awal_task = $this->data_week[$firstweekdate]['week'];
                $week_akhir_task = $this->data_week[$endweekdate]['week'];

                $diff_week_task = $week_akhir_task + 1 - $week_awal_task;

                $week_bobot = round($plan->bobot/$diff_week_task,2);
                $this->info('week_awal_task '.$week_awal_task.'---week_akhir_task '.$week_akhir_task);
                $this->info('week_bobot '.$week_bobot);
                
                $nextweekdate = $startdate = $firstweekdate;

                while($nextweekdate<=$endweekdate){
                    $nextdate = Carbon::parse($startdate)->next('Monday');
                    $nextweekdate = $nextdate->endOfWeek()->format('Y-m-d');
                    
                    $this->data_week[$nextweekdate]['progress'] += $week_bobot;
                       
                    $startdate = $nextweekdate;
                }

            }

            $this->recalcTotal($week_awal, $week_akhir, 'planning');

            if(!empty($this->data_week)){
                foreach($this->data_week as $k=>$data){
                    $inp['project_id'] = $project->project_id;
                    $inp['tanggal_akhir_progress'] = $k;
                    $inp['week'] = $data['week'];
                    $inp['progress_weekly_planning'] = $data['progress'];
                    $inp['progress_weekly_akumulasi_planning'] = $data['total_progress'];
                    $cek = GanttTaskResume::where('project_id',$project->project_id)
                        ->where('week',$data['week'])->first();
                    if(!empty($cek)){
                        $cek->update($inp);
                    }else{
                        GanttTaskResume::Create($inp);
                    }
                    
                }
            }
        }
    }

    public function genRealisasi($project, $week_awal, $week_akhir){
        $curdateweek = Carbon::now()->endOfWeek()->format('Y-m-d');
        $plannings = ActualGanttTask::where('level', '>', 0)->where('hasChild',0)
            ->where('project_id', $project->project_id)->where('bobot','>',0)
            ->orderBy('start')->get();
        
        if(!empty($plannings)){
            foreach($plannings as $plan){
                $start = Carbon::createFromFormat('Y-m-d', $plan->start);
                $end = Carbon::createFromFormat('Y-m-d', $plan->end);
                $firstweekdate = $start->endOfWeek()->format('Y-m-d');
                $endweekdate = $end->endOfWeek()->format('Y-m-d');

                $week_awal_task = $this->data_week[$firstweekdate]['week'];
                $week_akhir_task = $this->data_week[$endweekdate]['week'];

                $diff_week_task = $week_akhir_task + 1 - $week_awal_task;

                $week_bobot = round(($plan->progress*$plan->bobot/100)/$diff_week_task,2);
                // $this->info('week_awal_task '.$week_awal_task.'---week_akhir_task '.$week_akhir_task);
                $this->info('week_bobot '.$week_bobot);
                
                $nextweekdate = $startdate = $firstweekdate;

                while($nextweekdate<=$endweekdate){
                    $nextdate = Carbon::parse($startdate)->next('Monday');
                    $nextweekdate = $nextdate->endOfWeek()->format('Y-m-d');
                    
                    $this->data_week[$nextweekdate]['progress'] += $week_bobot;

                    $startdate = $nextweekdate;
                }

            }

            $this->recalcTotal($week_awal, $week_akhir, 'planning');

            if(!empty($this->data_week)){
                foreach($this->data_week as $k=>$data){
                    $inp['project_id'] = $project->project_id;
                    $inp['tanggal_akhir_progress'] = $k;
                    $inp['week'] = $data['week'];
                    $inp['progress_weekly_realisasi'] = $data['progress'];
                    $inp['progress_weekly_akumulasi_realisasi'] = $data['total_progress'];

                    $loopdate = Carbon::parse($k);

                    if($loopdate->diffInDays($curdateweek, false)<0) break;

                    $cek = GanttTaskResume::where('project_id',$project->project_id)
                        ->where('week',$data['week'])->first();
                    if(!empty($cek)){
                        $cek->update($inp);
                    }else{
                        $last_res = GanttTaskResume::where('project_id',$project->project_id)
                            ->whereNotNull('progress_weekly_akumulasi_planning')
                            ->orderBy('week','desc')->first();
                        $inp['progress_weekly_planning'] = 0;
                        $inp['progress_weekly_akumulasi_planning'] = $last_res->progress_weekly_akumulasi_planning;
                        GanttTaskResume::Create($inp);
                    }
                    
                }
            }
        }
    }

    private function recalcTotal($startdate, $enddate, $modul){
        $start = Carbon::createFromFormat('Y-m-d', $startdate);
        $end = Carbon::createFromFormat('Y-m-d', $enddate);

        // $firstweek = $start->isoweek();
        $firstweekdate = $start->endOfWeek()->format('Y-m-d');
        $endweekdate = $end->endOfWeek()->format('Y-m-d');

        $grandtotal = 0;
        // $weeks[$i] = $firstweekdate;
        $nextweekdate = $firstweekdate;

        for($i=1;$i<=$this->data_week[$nextweekdate]['week'];$i++){
            // $nextweek = $nextdate->isoweek();
            // $i++;
            // $weeks[$i] = $nextweekdate;
            $grandtotal += $this->data_week[$nextweekdate]['progress'];
            
            $this->data_week[$nextweekdate]['total_progress'] = $grandtotal;

            // $this->info('week '.$this->data_week[$nextweekdate]['week'].'---'.$grandtotal);
            $nextdate = Carbon::parse($nextweekdate)->next('Monday');
            $nextweekdate = $nextdate->endOfWeek()->format('Y-m-d');
            if(empty($this->data_week[$nextweekdate]['week'])) break;
        }
        // }while($nextweekdate<=$endweekdate);
        
    }

    private function genWeeks($startdate, $enddate){
        $start = Carbon::createFromFormat('Y-m-d', $startdate);
        $end = Carbon::createFromFormat('Y-m-d', $enddate);

        // $firstweek = $start->isoweek();
        $firstweekdate = $start->endOfWeek()->format('Y-m-d');
        $endweekdate = $end->endOfWeek()->format('Y-m-d');

        $i = 1;
        $weeks[$i] = $firstweekdate;
        $nextweekdate = $firstweekdate;

        $this->data_week[$nextweekdate] = array('week' => $i,
            'progress' => 0,
            'total_progress' => 0);
        
        while($nextweekdate<=$endweekdate){
            $nextdate = Carbon::parse($startdate)->next('Monday');
            $nextweekdate = $nextdate->endOfWeek()->format('Y-m-d');
            $nextweek = $nextdate->isoweek();
            $i++;
            // $weeks[$i] = $nextweekdate;
            
            $this->data_week[$nextweekdate] = array('week' => $i,
                'progress' => 0,
                'total_progress' => 0);

            $startdate = $nextweekdate;
        }
        // dd($this->data_week);
    }

    public function handle()
    {
        $tanggal = $this->option('tanggal')?Carbon::createFromFormat('Y-m-d', $this->option('tanggal')):Carbon::now();
        $tgl_awal = $tanggal->startOfWeek()->format('Y-m-d');
        $tgl_akhir = $tanggal->endOfWeek()->format('Y-m-d');
        $this->info('tanggal '.$tanggal);
        $this->info('tgl_awal '.$tgl_awal);

        $project_tasks = GanttTask::whereHas('project', function ($w){
                $w->where('status','Started');
            })
            ->where('start','<=', $tanggal)->where('end','>=',$tanggal)
            ->where('bobot','>=',100)
            ->where('level', 0)->groupBy('project_id')->get();

        if(!empty($project_tasks)){
            //cek project id di tbl resume
            foreach($project_tasks as $project){
                
                $this->info('project '.$project->name.' ('.$project->project_id.')');
                
                $cek = GanttTaskResume::where('project_id', $project->project_id)->get()->count();
                if($cek == 0){
                    //ambil tgl awal yg ada bobotnya
                    $planning = GanttTask::where('level','>', 0)->where('project_id', $project->project_id)
                        ->where('bobot','>',0)->where('hasChild',0)
                        ->orderBy('start')->first();
                    $planning_end = GanttTask::where('level','>', 0)->where('project_id', $project->project_id)
                        ->where('bobot','>',0)->where('hasChild',0)
                        ->orderBy('end','desc')->first();

                    //generate weeks & tgl end week nya
                    $this->genWeeks($planning->start, $planning_end->end);

                    //buat resume utk planning
                    $this->genPlanning($project, $planning->start, $planning_end->end);
                }

                $realisasi = ActualGanttTask::where('level','>', 0)->where('project_id', $project->project_id)
                    ->where('bobot','>',0)->where('hasChild',0)
                    ->orderBy('start')->first();
                $realisasi_end = ActualGanttTask::where('level','>', 0)->where('project_id', $project->project_id)
                    ->where('bobot','>',0)->where('hasChild',0)
                    ->orderBy('end','desc')->first();

                if(!empty($realisasi)){
                    //generate weeks & tgl end week nya
                    $this->genWeeks($realisasi->start, $realisasi_end->end);

                    //buat resume utk planning
                    $this->genRealisasi($project, $realisasi->start, $realisasi->end);
                }
                
            }
        }
            
    }
}
