<?php

namespace App\Console\Commands;

use App\Models\ActualGanttTask;
use App\Models\GanttTask;
use App\Models\GanttTaskResumeDaily;
use App\Models\Project;
use Carbon\Carbon;
use Illuminate\Console\Command;
use Illuminate\Support\Facades\DB;

class genGanttResumeDaily extends Command
{
    private $data_day = array();
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'GenProgressAkumulasiDaily:run {--tanggal=}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */

    public function genPlanning($project, $date_awal, $date_akhir){
        // $planning_end = GanttTask::where('level', '>', 0)->where('hasChild',0)
        //     ->where('project_id', $project->project_id)->where('bobot','>',0)
        //     ->orderBy('end')->first();
        $plannings = GanttTask::where('level', '>', 0)->where('hasChild',0)
        ->where('project_id', $project->project_id)->where('bobot','>',0)
        ->orderBy('start')->get();
        
        if(!empty($plannings)){
            foreach($plannings as $plan){
                $start = Carbon::createFromFormat('Y-m-d', $plan->start);
                $end = Carbon::createFromFormat('Y-m-d', $plan->end);
                $plan_bobot = $plan->bobot;
                $plan_duration = $plan->duration;

                $daysPerbobot = round($plan_bobot/$plan_duration,2);

                $diff = $start->diffInDays($end,false);
                $currday = $start;
                $cnt = 1;
                for($i=0;$i<=$diff;$i++){
                    $inp = array();
                    if($currday->isWeekday()){
                        $bobot = $this->data_day[$currday->format('Y-m-d')]['progress'];
                        $this->data_day[$currday->format('Y-m-d')]['progress'] = $daysPerbobot + $bobot;

                        // $inp['gantt_id'] = $plan->id;
                        // $inp['tgl'] = $currday->format('Y-m-d');
                        // $inp['days'] = $cnt;
                        // $inp['bobot'] = $daysPerbobot;
                        // $inp['total_bobot'] = $plan->bobot;
                        // $inp['durasi'] = $plan->duration;
                        // DB::table('tmp_gantt')->insert($inp);
                        $cnt++;
                    }
                    
                    $currday = $start->addDay();
                }
                // if($plan->id==301) dd($this->data_day,$end->format('Y-m-d'),$daysPerbobot,$bobot, $i,$plan->duration,$cnt++);
            }
            // dd('hfhfhf');

            $this->recalcTotal($date_awal, $date_akhir);

            if(!empty($this->data_day)){
                foreach($this->data_day as $k=>$data){
                    $inp['project_id'] = $project->project_id;
                    $inp['tanggal_progress'] = $k;
                    $inp['days'] = $data['days'];
                    $inp['weeks'] = $data['weeks'];
                    $inp['progress_daily_planning'] = $data['progress'];

                    $total_progress = $data['total_progress'];
                    if($k == array_key_last($this->data_day)){
                        $total_progress = round($data['total_progress']);
                    }
                    $inp['progress_daily_akumulasi_planning'] = $total_progress;
                    $cek = GanttTaskResumeDaily::where('project_id',$project->project_id)
                        ->where('days',$data['days'])->first();
                    if(!empty($cek)){
                        $cek->update(['progress_daily_planning'=>$data['progress'], 
                        'progress_daily_akumulasi_planning'=>$data['total_progress']]);
                    }else{
                        GanttTaskResumeDaily::Create($inp);
                    }
                    
                }
            }
        }
    }

    public function genRealisasi($project, $date_awal, $date_akhir){
        $curdateweek = Carbon::now()->endOfWeek()->format('Y-m-d');
        $planning_end = GanttTaskResumeDaily::where('project_id', $project->project_id)
            ->orderBy('tanggal_progress','desc')->first();
        $actual_first = ActualGanttTask::where('level', 0)
            ->where('project_id', $project->project_id)->where('bobot','>',0)
            ->first();
        $plannings = ActualGanttTask::where('level', '>', 0)->where('hasChild',0)
            ->where('project_id', $project->project_id)->where('bobot','>',0)
            ->orderBy('start')->get();
        
        if(!empty($plannings)){
            foreach($plannings as $plan){
                $start = Carbon::createFromFormat('Y-m-d', $plan->start);
                $end = Carbon::createFromFormat('Y-m-d', $plan->end);
                $plan_bobot = (float)$plan->bobot;
                $plan_duration = $plan->duration;

                $daysPerbobot = round($plan_bobot/$plan_duration,4);

                $diff = $start->diffInDays($end,false);
                $currday = $start;

                for($i=0;$i<=$diff;$i++){
                    
                    if($currday->isWeekday()){
                        $bobot = $this->data_day[$currday->format('Y-m-d')]['progress'];
                        $this->data_day[$currday->format('Y-m-d')]['progress'] = round($plan->progress/100 * $daysPerbobot,2)+ $bobot;
                    }
                    $currday = $start->addDay();
                }

            }

            $this->recalcTotal($date_awal, $date_akhir);
            // dd($this->data_day);

            if(!empty($this->data_day)){
                foreach($this->data_day as $k=>$data){
                    $inp['project_id'] = $project->project_id;
                    $inp['tanggal_progress'] = $k;
                    $inp['days'] = $data['days'];
                    $inp['weeks'] = $data['weeks'];
                    $inp['progress_daily_realisasi'] = $data['progress'];
                    
                    $total_progress = $data['total_progress'];
                    if($k == $planning_end->tanggal_progress){
                        $total_progress = round($data['total_progress']);
                    }
                    $inp['progress_daily_akumulasi_planning'] = $total_progress;
                    // $inp['progress_daily_akumulasi_realisasi'] = $data['total_progress'];
                    if($k <= date('Y-m-d')){
                        $cek = GanttTaskResumeDaily::where('project_id',$project->project_id)
                            ->where('days',$data['days'])->first();
                        if(!empty($cek)){
                            if($actual_first->end == $k and $actual_first->progress == 100){
                                $data['total_progress'] = 100;
                            }elseif((float)$data['total_progress'] > 100.00){
                                $data['total_progress'] = 100;
                            }
                            $cek->update(['progress_daily_realisasi'=>$data['progress'], 
                                'progress_daily_akumulasi_realisasi'=>$data['total_progress']]);
                        }else{
                            $last_res = GanttTaskResumeDaily::where('project_id',$project->project_id)
                                ->whereNotNull('progress_daily_akumulasi_planning')
                                ->orderBy('weeks','desc')->first();
                            $inp['progress_daily_planning'] = 0;
                            $inp['progress_daily_akumulasi_planning'] = $last_res->progress_daily_akumulasi_planning;
                            GanttTaskResumeDaily::Create($inp);
                        }
                    }
                    
                }
            }
        }
    }

    private function recalcTotal($startdate, $enddate){
        $start = Carbon::createFromFormat('Y-m-d', $startdate);
        $end = Carbon::createFromFormat('Y-m-d', $enddate);

        $diff = $start->diffInDays($end,false);

        $grandtotal = 0;
        $currday = $start;
        for($i=0;$i<=$diff;$i++){
            if($currday->isWeekday()){
                $curdate = $currday->format('Y-m-d');
                if(!empty($this->data_day[$curdate]['days'])) {
                    $grandtotal += (float)$this->data_day[$curdate]['progress'];
                    $this->info('grandtotal '.$grandtotal);
                    
                    $this->data_day[$curdate]["total_progress"] = $grandtotal;
                
                }else{
                    // dd('ga ada data',$this->data_day[$curdate]);
                }
                // if(ceil($this->data_day[$curdate]["total_progress"]) == 0) dd('total_progress 0',$this->data_day[$curdate]);
            }
            $currday = $start->addDay();
        }
        // dd('ghghjghjg');
    }

    private function genDays($startdate, $enddate){
        
        $this->data_day = array();
        $start = Carbon::createFromFormat('Y-m-d', $startdate);
        $end = Carbon::createFromFormat('Y-m-d', $enddate);

        $diff = $start->diffInDays($end,false);

        $count = 1;

        $this->data_day[$start->format('Y-m-d')] = array('days' => $count,
            'weeks' => 1,
            'progress' => 0,
            'total_progress' => 0);
        for($i=1;$i<=$diff;$i++){
            $currday = $start->addDay();

            if($currday->isWeekday()){
                ++$count;
                $weeks = ceil($count/5);
                $this->data_day[$currday->format('Y-m-d')] = array('days' => $count,
                    'weeks' => $weeks,
                    'progress' => 0,
                    'total_progress' => 0);
            }
            
            unset($currday);
        }
        // $this->info($startdate.' ==== '. $enddate);
        
        // dd($this->data_day, $startdate.' ==== '. $enddate);
    }

    public function handle()
    {
        $tanggal = $this->option('tanggal')?Carbon::createFromFormat('Y-m-d', $this->option('tanggal'))->format('Y-m-d'):Carbon::now()->format('Y-m-d');
        $this->info('tanggal '.$tanggal);

        $project_tasks = ActualGanttTask::whereHas('project', function ($w){
                $w->where('status','Started');
            })
            // ->where('start','<=', $tanggal)->where('end','>=',$tanggal)
            ->where('bobot',100)
            ->where('level', 0)->groupBy('project_id')->get();

        if(!empty($project_tasks)){
            //cek project id di tbl resume
            foreach($project_tasks as $project){
                //ambil tgl awal yg ada bobotnya
                $planning = GanttTask::leftjoin('gantt_task_actuals', function($j){
                    $j->on('gantt_task_actuals.project_id','gantt_tasks.project_id')
                        ->where('gantt_task_actuals.sortable',0)->where('gantt_task_actuals.bobot','>',0);
                })
                ->where('gantt_tasks.sortable', 0)->where('gantt_tasks.project_id', $project->project_id)
                ->where('gantt_tasks.bobot','>',0)
                ->selectRaw('case when gantt_tasks.`start`<  gantt_task_actuals.`start` then gantt_tasks.`start` ELSE gantt_task_actuals.`start` END AS start_date,
                case when gantt_tasks.`end`>  gantt_task_actuals.`end` then gantt_tasks.`end` ELSE gantt_task_actuals.`end` END AS end_date,gantt_tasks.`start`,gantt_task_actuals.`start`,
                gantt_tasks.`end`, gantt_task_actuals.`end`')->first();

                $this->info('project '.$project->name.' ('.$project->project_id.')');
                GanttTaskResumeDaily::where('project_id', $project->project_id)->delete();
                
                $cek = GanttTaskResumeDaily::where('project_id', $project->project_id)->get()->count();
                if($cek == 0){
                    
                    //generate weeks & tgl end week nya
                    $this->genDays($planning->start_date, $planning->end_date);

                    //buat resume utk planning
                    $this->genPlanning($project, $planning->start_date, $planning->end_date);
                }

                $realisasi = ActualGanttTask::where('level','>', 0)->where('project_id', $project->project_id)
                    ->where('bobot','>',0)->where('hasChild',0)
                    ->orderBy('start')->first();
                // $realisasi_end = ActualGanttTask::where('level','>', 0)->where('project_id', $project->project_id)
                //     ->where('bobot','>',0)->where('hasChild',0)
                //     ->orderBy('end','desc')->first();

                if(!empty($realisasi)){
                    //generate weeks & tgl end week nya
                    $this->genDays($planning->start_date, $planning->end_date);

                    //buat resume utk planning
                    $this->genRealisasi($project, $planning->start_date, $planning->end_date);
                }
                
            }
        }
            
    }
}
