<?php

if (!function_exists('getMime')) {
    function getMime($type = 'officeimage')
    {
        $mime = array();
        if ($type == 'officeimage') {
            $mime = [
                'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet' => 'xlsx',
                'text/csv' => 'csv',
                'application/msword' => 'doc',
                'application/vnd.openxmlformats-officedocument.wordprocessingml.document' => 'docx',
                'application/pdf' => 'pdf',
                'application/vnd.ms-powerpoint' => 'ppt',
                'application/vnd.openxmlformats-officedocument.presentationml.presentation' => 'pptx',
                'image/jpeg' => 'jpg',
                'image/png' => 'png',
                'text/html' => 'doc',
            ];
        } elseif ($type == 'office') {
            $mime = [
                'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet' => 'xlsx',
                'text/csv' => 'csv',
                'application/msword' => 'doc',
                'application/vnd.openxmlformats-officedocument.wordprocessingml.document' => 'docx',
                'application/pdf' => 'pdf',
                'application/vnd.ms-powerpoint' => 'ppt',
                'application/vnd.openxmlformats-officedocument.presentationml.presentation' => 'pptx',
            ];
        } elseif ($type == 'image') {
            $mime = [
                'image/jpeg' => 'jpg',
                'image/png' => 'png',
                'image/jpeg'    => 'jpeg'
            ];
        } elseif ($type == 'excel') {
            $mime = [
                'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet' => 'xlsx',
                'text/csv' => 'csv'
            ];
        } elseif ($type == 'archive') {
            $mime = [
                'application/vnd.rar'   => 'rar',
                'application/zip'   => 'zip',
                'application/x-7z-compressed'   => '7z'
            ];
        }
        return $mime;
    }
}

// SSO

if (!function_exists('setActive')) {
    function setActive($path, $active = 'active')
    {
        return call_user_func_array('Request::is', (array)$path) ? $active : '';
    }
}

if (!function_exists('sendRequestApi')) {
    function sendRequestApi($url, $data, $token = '')
    {
        // $header[] = 'Content-Type: application/json';
        // $header[] = "Accept-Encoding: gzip, deflate";
        // $header[] = "Cache-Control: max-age=0";
        $header[] = "Connection: keep-alive";
        if (!empty($token)) $header[] = "Authorization:Bearer " . $token;

        // print_r($data);
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_HTTPHEADER, $header);
        curl_setopt($ch, CURLOPT_HTTP_VERSION, 'CURL_HTTP_VERSION_1_1');
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_VERBOSE, true);

        // $verbose = fopen('php://temp', 'w+');
        // curl_setopt($ch, CURLOPT_STDERR, $verbose);
        curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST');
        curl_setopt($ch, CURLOPT_POSTFIELDS, $data);

        curl_setopt($ch, CURLOPT_USERAGENT, "Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/37.0.2062.120 Safari/537.36");

        $result = curl_exec($ch);
        // if ($result === FALSE) {
        //     printf("cUrl error (#%d): %s<br>\n", curl_errno($ch),
        //            htmlspecialchars(curl_error($ch)));
        // }

        // rewind($verbose);
        // $verboseLog = stream_get_contents($verbose);

        // echo "Verbose information:\n<pre>", htmlspecialchars($verboseLog), "</pre>\n";

        // if(empty($result)){
        //     var_dump($result, curl_error($ch));
        //     curl_close($ch);
        //     return false;
        // }
        curl_close($ch);
        return $result;
    }
}

if (!function_exists('TipeDigetoc')) {
    function TipeDigetoc($tipe)
    {
        if ($tipe == 'perjanjian_kerjasama') {
            $judul = 'Perjanjian Kerjasama';
        } elseif ($tipe == 'mou') {
            $judul = 'MOU';
        } elseif ($tipe == 'nda') {
            $judul = 'NDA';
        } else {
            $judul = '';
        }
        return $judul;
    }
}

if (!function_exists('multiUploadFile')) {
    function multiUploadFile($name, $uploaded_file, $folder)
    {
        if ($uploaded_file) {
            $filepath = $name;
            if (is_uploaded_file($filepath)) {
                $fileSize = filesize($filepath);
                $fileinfo = finfo_open(FILEINFO_MIME_TYPE);
                $filetype = finfo_file($fileinfo, $filepath);

                $allowedTypes = getMime('all');

                if (!in_array($filetype, array_keys($allowedTypes))) {
                    return $data = [];
                }
                $fileName = md5($uploaded_file->getClientOriginalName() . rand(231231, 999999)) . "." . $allowedTypes[$filetype];
                $file_location = $uploaded_file->storeAs($folder, $fileName, 'public');
            }
        } else {
            $fileSize = null;
            $file_location = null;
        }

        $data = [
            'ukuran_file' => $fileSize,
            'lokasi_file' => $file_location
        ];

        return $data;
    }
}


if (!function_exists('uploadFile')) {
    function uploadFile($name, $uploaded_file, $folder)
    {
        if ($uploaded_file) {
            $filepath = $_FILES[$name]['tmp_name'];

            if (is_uploaded_file($filepath)) {

                $fileSize = filesize($filepath);
                $fileinfo = finfo_open(FILEINFO_MIME_TYPE);
                $filetype = finfo_file($fileinfo, $filepath);
                $allowedTypes = getMime('officeimage');

                if (!in_array($filetype, array_keys($allowedTypes))) {
                    $fileSize = null;
                    $file_location = null;
                } else {
                    $fileName = md5($uploaded_file->getClientOriginalName() . rand(231231, 999999)) . "." . $allowedTypes[$filetype];
                    $file_location = $uploaded_file->storeAs($folder, $fileName, 'public');
                }
            }
        } else {
            $fileSize = null;
            $file_location = null;
        }

        $data = [
            'ukuran_file' => $fileSize,
            'lokasi_file' => $file_location
        ];

        return $data;
    }
}
