<?php

namespace App\Http\Controllers;

use App\Models\Approval;
use App\Models\Employee;
use App\Models\Project;
use App\Models\User;
use Illuminate\Http\Request;
use App\Notifications\ApprovalNotification;
use App\Notifications\RejectNotification;
use Illuminate\Support\Facades\Notification;

class ApprovalControllerOld extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function __construct()
    {
        return $this->middleware('auth:web');
    }

    public function needapprovalmanager(Request $request,$id)
    {
        $project = Project::findOrFail(decrypt($id));
 
        $jabatan = $project->employee->jabatanid;
        $jbtn = substr($jabatan,-10,-3);

        $status = 'Menunggu Persetujuan Manager';
    //    dd($jbtn);

        // $pj = Project::where('id',decrypt($id))->update([
        //     'step'  => 2,
        //     'status' => $status,
        // ]);
        $project->step  = 2;
        $project->status  = $status;
        $project->save();

        //getprojectmanagementoffice sso_divisi 010114
        $userpmo = Employee::where('sso_divisiid','010114')->select('user_id','employees.nama','employees.sso_email')->get();

        //getusercreated
        $created = User::leftJoin('employees','users.id','employees.user_id')
        // ->where('employees.jabatanid','LIKE','%'.$jbtn.'_%')
        ->where('employees.jabatanid','=',$jabatan)
        ->select('users.id','employees.jabatanid','employees.nama','users.email')
        ->first();
        //getmanager
        
        $users = User::leftJoin('employees','users.id','employees.user_id')
                // ->where('employees.jabatanid','LIKE','%'.$jbtn.'_%')
                // ->where('employees.jabatanid','LIKE',$jbtn.'_')    
                ->where('users.email', $project->project_manager)           
                ->select('users.id','employees.jabatanid','employees.nama','users.email','employees.jabatan')
                ->get();

                // dd($userpmo);
        
        
        if(!empty($users)){
            foreach($users as $user){
                if ($project->status == 'Menunggu Persetujuan Manager') {            
                    $project_name = $request->input('project_name');
                    $status = $status;
                    $type   = 'Staf';
                    Notification::send($user, new ApprovalNotification($project,$project_name, $status, $type,$user,$created,$userpmo));
                }
        
                //insert to table approval
                $approval = new Approval;
                $approval->project_id   = $project->id;
                $approval->status       = $status;
                $approval->reason       = $status;
                $approval->approval_by  = $user->id;
                $approval->approval_name    = $user->nama;
                $approval->approval_jabatan = $user->jabatan;
                $approval->save();
            }
        }

        // dd($notif);
        return redirect()->route('project.index')->with('success', 'Proses persetujuan Manager');
        // $approvalsend = new Approval;
        // $approvalsend->

        
    }

    public function needapprovalvp(Request $request,$id)
    {
        $project = Project::findOrFail(decrypt($id));
 
        $jabatan = $project->employee->jabatanid;
        $jbtn = substr($jabatan,-10,-4);

    //    dd($jbtn);

        // $pj = Project::where('id',decrypt($id))->update([
        //     'step'  => 3,
        //     'status' => 'Menunggu Persetujuan VP',
        // ]);
        $project->step  = 3;
        $project->status  = 'Menunggu Persetujuan VP';
        $project->save();

        
        //getprojectmanagementoffice sso_divisi 010114
        $userpmo = Employee::where('sso_divisiid','010114')->select('user_id','employees.nama','employees.sso_email')->get();

         //getusercreated
         $created = User::leftJoin('employees','users.id','employees.user_id')
         // ->where('employees.jabatanid','LIKE','%'.$jbtn.'_%')
         ->where('employees.jabatanid','=',$jabatan)
         ->select('users.id','employees.jabatanid','employees.nama','users.email')
         ->first();

        //getvp
        
        $user = User::leftJoin('employees','users.id','employees.user_id')
                // ->where('employees.jabatanid','LIKE','%'.$jbtn.'_%')
                // ->where('employees.jabatanid','LIKE',$jbtn)
                ->where('users.email', $project->project_owner)
                ->select('users.id','employees.jabatanid','employees.nama','users.email','employees.jabatan')
                ->first();

        // dd($jbtn,$user);
        

        if ($project->status == 'Menunggu Persetujuan VP') {            
            $project_name = $request->input('project_name');
            $status = 'Menunggu Persetujuan VP';
            $type   = 'Manager';
            Notification::send($user, new ApprovalNotification($project,$project_name, $status, $type,$user,$created,$userpmo));
        }

       

        // dd($jbtn,$user);

        if ($project->status == 'Menunggu Persetujuan VP') {            
            $project_name = $request->input('project_name');
            $status = 'ManagerApproved';
            $type   = 'ManagerApproved';
            Notification::send($created, new ApprovalNotification($project,$project_name, $status, $type,$user,$created,$userpmo));
        }
        
        //insert to table approval
        $approval = new Approval;
        $approval->project_id   = $project->id;
        $approval->status       = 'Menunggu Persetujuan VP';
        $approval->reason       = 'Menunggu Persetujuan VP';
        $approval->approval_by  = $user->id;
        $approval->approval_name    = $user->nama;
        $approval->approval_jabatan = $user->jabatan;
        $approval->save();

        // dd($notif);
        return redirect()->route('project.index')->with('success', 'Proses persetujuan VP');
        // $approvalsend = new Approval;
        // $approvalsend->

        
    }

    public function approvedvp(Request $request,$id)
    {
        $project = Project::findOrFail(decrypt($id));
 
        $jabatan = $project->employee->jabatanid;
        $jbtn = substr($jabatan,-10,-3);

        $status = 'Disetujui VP';
    //    dd($jbtn);

        // $pj = Project::where('id',decrypt($id))->update([
        //     'step'  => 4,
        //     'status' => 'Disetujui VP',
        // ]);
        $project->step  = 4;
        $project->status  = $status;
        $project->save();
        
        //getprojectmanagementoffice sso_divisi 010114
        $userpmo = Employee::where('sso_divisiid','010114')->select('user_id','employees.nama','employees.sso_email')->get();

         //getusercreated
         $created = User::leftJoin('employees','users.id','employees.user_id')
         // ->where('employees.jabatanid','LIKE','%'.$jbtn.'_%')
         ->where('employees.jabatanid','=',$jabatan)
         ->select('users.id','employees.jabatanid','employees.nama','users.email')
         ->first();

        //getmanager
        
        $user = User::leftJoin('employees','users.id','employees.user_id')
        // ->where('employees.jabatanid','LIKE','%'.$jbtn.'_%')
        ->where('employees.jabatanid','LIKE',$jbtn.'_')
        ->select('users.id','employees.jabatanid','employees.nama','users.email','employees.jabatan')
        ->first();

        // dd($jbtn,$user);
       

        if ($project->status == 'Disetujui VP') {            
            $project_name = $request->input('project_name');
            $status = $status;
            $type   = 'VP';
            Notification::send($user, new ApprovalNotification($project,$project_name, $status, $type,$user,$created,$userpmo));
        }

       

        // dd($jbtn,$user);

        if ($project->status == 'Disetujui VP') {            
            $project_name = $request->input('project_name');
            $status = 'DisetujuiVP';
            $type   = 'DisetujuiVP';
            Notification::send($created, new ApprovalNotification($project,$project_name, $status, $type,$user,$created,$userpmo));
        }
        
         //insert to table approval
         $approval = new Approval;
         $approval->project_id   = $project->id;
         $approval->status       = 'Disetujui VP';
         $approval->reason       = 'Disetujui VP';
         $approval->approval_by  = $user->id;
         $approval->approval_name    = $user->nama;
         $approval->approval_jabatan = $user->jabatan;
         $approval->save();

        // dd($notif);
        return redirect()->route('project.index')->with('success', 'Project Approved');
        // $approvalsend = new Approval;
        // $approvalsend->

        
    }

    public function rejectedbymgr(Request $request,$id)
    {
        $project = Project::findOrFail(decrypt($id));
 
        $jabatan = $project->employee->jabatanid;
        $jbtn = substr($jabatan,-10,-3);
        $jbtnvp = substr($jabatan,-10,-4);

    //    dd($jbtn);
        $status = 'Project ditolak Manager';
        $project->step  = 5;
        $project->status  = $status;
        $project->save();
        // $pj = Project::where('id',decrypt($id))->update([
        //     'step'  => 5,
        //     'status' => 'Project ditolak Manager',
        // ]);

        //getusercreated
        $created = User::leftJoin('employees','users.id','employees.user_id')
        // ->where('employees.jabatanid','LIKE','%'.$jbtn.'_%')
        ->where('employees.jabatanid','=',$jabatan)
        ->select('users.id','employees.jabatanid','employees.nama','users.email')
        ->first();
        
        //getmanager
        $user = User::leftJoin('employees','users.id','employees.user_id')
                // ->where('employees.jabatanid','LIKE','%'.$jbtn.'_%')
                // ->where('employees.jabatanid','LIKE',$jbtn.'_')
                ->where('users.email', $project->project_manager)
                ->select('users.id','employees.jabatanid','employees.nama','users.email','employees.jabatan')
                ->first();

                // dd($jbtn,$user);

                //getvp
        $vp = User::leftJoin('employees','users.id','employees.user_id')
        // ->where('employees.jabatanid','LIKE','%'.$jbtn.'_%')
        // ->where('employees.jabatanid','LIKE',$jbtnvp)
            ->where('users.email', $project->project_owner)
            ->select('users.id','employees.jabatanid','employees.nama','users.email','employees.jabatan')
            ->first();
        
        

        if ($project->status == 'Project ditolak Manager') {            
            $project_name = $request->input('project_name');
            $status = $status;
            $type   = 'Manager';
            Notification::send($user, new RejectNotification($project,$project_name, $status, $type,$user,$created,$vp));
        }

        if ($project->status == 'Project ditolak Manager') {            
            $project_name = $request->input('project_name');
            $status = 'ProjectditolakManager';
            $type   = 'ProjectditolakManager';
            Notification::send($created, new RejectNotification($project,$project_name, $status, $type,$user,$created,$vp));
        }

        //insert to table approval
        $approval = new Approval;
        $approval->project_id   = $project->id;
        $approval->status       = $project->status;
        $approval->reason       = $request->reason;
        $approval->approval_by  = $user->id;
        $approval->approval_name    = $user->nama;
        $approval->approval_jabatan = $user->jabatan;
        $approval->save();

        // dd($notif);
        return redirect()->route('project.index')->with('error', 'Proses persetujuan ditolak');
        // $approvalsend = new Approval;
        // $approvalsend->

        
    }

    public function rejectedbyvp(Request $request,$id)
    {
        $project = Project::findOrFail(decrypt($id));
 
        $jabatan = $project->employee->jabatanid;
        $jbtn = substr($jabatan,-10,-3);
        $jbtnvp = substr($jabatan,-10,-4);

    //    dd($jbtn);
        $status = 'Project ditolak VP';
        $project->step  = 6;
        $project->status  = $status;
        $project->save();
        // $pj = Project::where('id',decrypt($id))->update([
        //     'step'  => 6,
        //     'status' => 'Project ditolak VP',
        // ]);

        //getusercreated
        $created = User::leftJoin('employees','users.id','employees.user_id')
        // ->where('employees.jabatanid','LIKE','%'.$jbtn.'_%')
        ->where('employees.jabatanid','=',$jabatan)
        ->select('users.id','employees.jabatanid','employees.nama','users.email')
        ->first();
        
        //getmanager
        $user = User::leftJoin('employees','users.id','employees.user_id')
                // ->where('employees.jabatanid','LIKE','%'.$jbtn.'_%')
                ->where('employees.jabatanid','LIKE',$jbtn.'_')
                ->select('users.id','employees.jabatanid','employees.nama','users.email','employees.jabatan')
                ->first();

                // dd($jbtn,$user);

        //getvp
        $vp = User::leftJoin('employees','users.id','employees.user_id')
        // ->where('employees.jabatanid','LIKE','%'.$jbtn.'_%')
        ->where('employees.jabatanid','LIKE',$jbtnvp)
        ->select('users.id','employees.jabatanid','employees.nama','users.email','employees.jabatan')
        ->first();

        // dd($jbtn,$user);
        
        

        if ($project->status == 'Project ditolak VP') {            
            $project_name = $request->input('project_name');
            $status = $status;
            $type   = 'VP';
            Notification::send($user, new RejectNotification($project,$project_name, $status, $type,$user,$created,$vp));
        }

        if ($project->status == 'Project ditolak VP') {            
            $project_name = $request->input('project_name');
            $status = 'Projectditolak';
            $type   = 'Projectditolak';
            Notification::send($vp, new RejectNotification($project,$project_name, $status, $type,$user,$created,$vp));
        }

        if ($project->status == 'Project ditolak VP') {            
            $project_name = $request->input('project_name');
            $status = 'ProjectditolakVP';
            $type   = 'ProjectditolakVP';
            Notification::send($created, new RejectNotification($project,$project_name, $status, $type,$user,$created,$vp));
        }

        //insert to table approval
        $approval = new Approval;
        $approval->project_id   = $project->id;
        $approval->status       = $project->status;
        $approval->reason       = $request->reason;
        $approval->approval_by  = $vp->id;
        $approval->approval_name    = $vp->nama;
        $approval->approval_jabatan = $vp->jabatan;
        $approval->save();

        // dd($notif);
        return redirect()->route('project.index')->with('error', 'Proses persetujuan ditolak');
        // $approvalsend = new Approval;
        // $approvalsend->

        
    }

    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
