<?php

namespace App\Http\Controllers;

use App\Models\GroupTag;
use App\Models\Portofolio;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Str;

class GroupTagController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function __construct()
    {
        return $this->middleware('auth:web');
        
    }

    public function index()
    {
        $gt = GroupTag::get();
        $portofolio = Portofolio::orderBy('name', 'asc')->get();
        return view('admin.master_data.grouptag.index',compact('gt', 'portofolio'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $p = new GroupTag();
        $p->portofolio_id    = $request->portofolio_id;        
        $p->name    = $request->name;        
        $p->created_by = Auth::id();
        $p->save();

        return redirect()->back()->with('success','Successfully Created');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(Request $request)
    {
        $data = GroupTag::findOrFail($request->get('id'));
        echo json_encode($data);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request)
    {
        $p = GroupTag::findOrFail($request->input('id'));
        $p->portofolio_id = $request->portofolio_id;        
        $p->name = $request->name;        
        $p->updated_by = Auth::id();
        $p->save();

        return redirect()->back()->with('success','Successfully Updated');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }

    public function SoftDelete($id)
    {
        $grouptag = GroupTag::findOrFail(decrypt($id));
        $grouptag->deleted_by = Auth::id();
        $grouptag->save();
        $grouptag->delete();
        return redirect()->back()->with('error', 'Successfully Deleted');
    }
}
