<?php

namespace App\Http\Controllers;

use App\Models\Portofolio;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Str;

class PortofolioController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function __construct()
    {
        return $this->middleware('auth:web');
        
    }

    public function index()
    {
        $p = Portofolio::latest()->get();
        return view('admin.master_data.portofolio.index',compact('p'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $validateData= $request->validate(
            [                               
                'name'    =>  'required',               
            ],
            [
                'name.required'   => 'Name can not be empty!',                
            ]);

        $p = new Portofolio();
        $p->name    = $request->name;
        $p->slug    = Str::slug($request->name, '-');
        $p->created_by = Auth::id();
        $p->save();

        return redirect()->back()->with('success','Successfully Created');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(Request $request)
    {
        $data = Portofolio::findOrFail($request->get('id'));
        echo json_encode($data);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request)
    {
        $p = Portofolio::findOrFail($request->input('id'));
        $p->name = $request->name;
        $p->slug    = Str::slug($request->name, '-');
        $p->updated_by = Auth::id();
        $p->save();

        return redirect()->back()->with('success','Successfully Updated');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }

    public function SoftDelete($id)
    {
        //cek jika portofolio sudah digunakan
        $idporto = Portofolio::where('id',decrypt($id))->first();
        // dd($idporto->name);
        $cekporto = DB::table('portofolios')
                    ->leftJoin('projects','portofolios.name','=','projects.portofolio')
                    ->where('projects.portofolio',$idporto->name)
                    ->get();
                    // dd($cekporto);

        if(!empty($cekporto))
        {
            return redirect()->back()->with('error', 'Portofolio has been used, can not DELETED!');
        }   
        else
        {
            $portfolio = Portofolio::findOrFail(decrypt($id));
            $portfolio->deleted_by = Auth::id();
            $portfolio->save();
            $portfolio->delete();
            return redirect()->back()->with('error', 'Successfully Deleted');
        }         
       
    }
}
