<?php

namespace App\Http\Controllers;

use App\Models\WbsLink;
use Illuminate\Http\Request;

class WbsLinkController extends Controller
{
    public function __construct()
    {
        return $this->middleware('auth:web');  
        
    }
    
    public function store(Request $request){
        $link = new WbsLink();
 
        $link->type = $request->type;
        $link->source = $request->source;
        $link->target = $request->target;
 
        $link->save();
 
        return response()->json([
            "action"=> "inserted",
            "tid" => $link->id
        ]);
    }
 
    public function update($id, Request $request){
        $link = WbsLink::find($id);
 
        $link->type = $request->type;
        $link->source = $request->source;
        $link->target = $request->target;
 
        $link->save();
 
        return response()->json([
            "action"=> "updated"
        ]);
    }
 
    public function destroy($id){
        $link = WbsLink::find($id);
        $link->delete();
 
        return response()->json([
            "action"=> "deleted"
        ]);
    }
}
