<?php

namespace App\Http\Policies;

use Spatie\Csp\Directive;
use Spatie\Csp\Policies\Basic;
use Spatie\Csp\Policies\Policy;

class Extended extends Policy
{
    public function configure()
    {
        // parent::configure();
        $this->addDirective(Directive::BASE, 'self')
            ->addDirective(Directive::CONNECT, 'self')
            ->addDirective(Directive::DEFAULT, 'self')
            ->addDirective(Directive::FORM_ACTION, 'self')
            ->addDirective(Directive::IMG, 'self')
            ->addDirective(Directive::MEDIA, 'self')
            ->addDirective(Directive::OBJECT, 'none')
            ->addDirective(Directive::SCRIPT, 'self')
            ->addDirective(Directive::STYLE, 'self')
            ->addNonceForDirective(Directive::SCRIPT);
            // ->addNonceForDirective(Directive::STYLE);

        $this->addDirective(Directive::STYLE,'fonts.googleapis.com');        
        $this->addDirective(Directive::STYLE,'cdn.bootcss.com');
        $this->addDirective(Directive::STYLE,'cdnjs.cloudflare.com');
        $this->addDirective(Directive::STYLE,'jeasyui.com');
        $this->addDirective(Directive::STYLE, 'unsafe-inline');        
        $this->addDirective(Directive::DEFAULT,'cdnjs.cloudflare.com');
        $this->addDirective(Directive::FONT,'fonts.gstatic.com');
        $this->addDirective(Directive::SCRIPT,'cdn.bootcss.com');
        $this->addDirective(Directive::SCRIPT,'cdn.jsdelivr.net');
        $this->addDirective(Directive::SCRIPT,'code.jquery.com');
        $this->addDirective(Directive::SCRIPT,'cdnjs.cloudflare.com');
        $this->addDirective(Directive::IMG, 'placehold.jp');
        $this->addDirective(Directive::SCRIPT,'cdn.datatables.net');        
        $this->addDirective(Directive::IMG, 'www.w3.org');
        $this->addDirective(Directive::IMG, 'self');
        $this->addDirective(Directive::FRAME_ANCESTORS, 'self');       
        // $this->addDirective(Directive::SCRIPT, 'unsafe-inline');
        $this->addDirective(Directive::SCRIPT, 'unsafe-eval');    
        // $this->addDirective(Directive::SCRIPT_ATTR,'unsafe-inline');            
        $this->addDirective(Directive::FONT,'fonts.googleapis.com');
        $this->addDirective(Directive::FONT, 'self');            
        $this->addDirective(Directive::FORM_ACTION, 'self');        
        $this->addDirective(Directive::IMG, 'data:');    
       
    }
}