<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Support\Facades\Auth;

class CardStatus extends Model
{
    use HasFactory, SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $table = 'card_statuses';

    protected $fillable = [
        'status_name',
        'sorter',
        'created_by',
        'updated_by',
        'deleted_by'
    ];

    public function createdby()
    {
        return $this->hasOne(User::class, 'id', 'created_by');
    }

    public function updatedby()
    {
        return $this->hasOne(User::class, 'id', 'updated_by');
    }

    public function deletedby()
    {
        return $this->hasOne(User::class, 'id', 'deleted_by');
    }

    public function Tasks(){
        return $this->hasMany(CardTask::class, 'cardstatus_id','id')
            ->where('created_by',Auth::id())
            ->orderBy('order');
    }
}
