<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class GroupTag extends Model
{
    use HasFactory, SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $table = 'group_tags';

    protected $fillable = [
        'portofolio_id', 'name', 'created_by', 'updated_by', 'deleted_by'
    ];

    public function Portofolio()
    {
        return $this->hasOne(Portofolio::class, 'id', 'portofolio_id');
    }

    public function createdby()
    {
        return $this->hasOne(User::class, 'id', 'created_by');
    }

    public function updatedby()
    {
        return $this->hasOne(User::class, 'id', 'updated_by');
    }

    public function deletedby()
    {
        return $this->hasOne(User::class, 'id', 'deleted_by');
    }
}
