<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class KanbanStatus extends Model
{
    use HasFactory, SoftDeletes;

    protected $table = 'card_statuses';
    protected $dates = ['deleted_at'];
    protected $fillable = [
        'status_name',
        'sorter',
        'created_by',
        'updated_by',
        'deleted_by'
    ];

    public function createdby()
    {
        return $this->hasOne(User::class,'id','created_by');
    }

    public function updatedby()
    {
        return $this->hasOne(User::class,'id','updated_by');
    }

    public function deletedby()
    {
        return $this->hasOne(User::class,'id','deleted_by');
    }

}
