<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateProjectsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('projects', function (Blueprint $table) {
            $table->id();
            $table->smallInteger('step')->nullable();
            $table->bigInteger('divisi_id')->nullable();
            $table->string('jabatanid')->nullable();
            $table->string('sso_divisi')->nullable();
            $table->string('nama')->nullable();
            $table->string('jabatan')->nullable();
            $table->longText('portofolio');
            $table->string('project_code');
            $table->string('project_name');
            $table->enum('type_projeect',['Opex','Capex'])->default('Capex');
            $table->float('project_budget')->default(0);
            $table->longText('project_description');
            $table->string('project_owner');
            $table->string('project_manager');
            $table->longText('team_lead')->nullable();
            $table->longText('team_member')->nullable();
            $table->date('target_waktu')->nullable();
            $table->string('project_doc');
            $table->bigInteger('created_by');
            $table->bigInteger('updated_by')->nullable();
            $table->bigInteger('deleted_by')->nullable();
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('projects');
    }
}
