<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateGanttTaskResumeDailiesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('gantt_task_resume_dailies', function (Blueprint $table) {
            $table->uuid('id')->primary();
            $table->bigInteger('project_id');
            $table->date('tanggal_progress')->nullable();
            $table->smallInteger('days')->default(1)->comment('diisi 1,2,3 dst');
            $table->smallInteger('weeks')->default(1)->comment('diisi 1,2,3 dst');
            $table->decimal('progress_daily_planning', 5,2)->nullable();
            $table->decimal('progress_daily_akumulasi_planning', 5,2)->nullable();
            $table->decimal('progress_daily_realisasi', 5,2)->nullable();
            $table->decimal('progress_daily_akumulasi_realisasi', 5,2)->nullable();
            $table->timestamps();
            $table->index(['project_id','days'],'ganttresdays_idx');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('gantt_task_resume_dailies');
    }
}
