-- audit_closing definition

-- Drop table



CREATE TABLE audit_closing (
	audit_closing_id int(11) NOT NULL,
	audit_id int(11) NULL,
	kode varchar(100) NULL,
	tanggal date NULL,
	jam_mulai varchar(6) NULL,
	jam_selesai varchar(6) NULL,
	tempat varchar(150) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL,
	posting_by varchar(150) NULL,
	posting_date date NULL,
	pemimpin_rapat varchar(255) NULL,
	lampiran_dok varchar(1000) NULL,
	pokok_bahasan text NULL
);

-- Table Triggers

-- create trigger generate_no_auditcm_trg_exec before
-- insert
--     or
-- update
--     on
--     audit_closing for each row execute procedure generate_no_auditcm_trg();


-- audit_closing_ttd definition

-- Drop table



CREATE TABLE audit_closing_ttd (
	audit_closing_ttd_id int(11) NOT NULL,
	audit_closing_id int(11) NULL,
	audit_id int(11) NULL,
	jenis varchar(15) NULL,
	urut int(11) NULL,
	nipp varchar(25) NULL,
	nama varchar(150) NULL,
	jabatan varchar(250) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL,
	approval_date date NULL,
	auto_approval_date date NULL
);


-- audit_closing_undangan definition

-- Drop table



CREATE TABLE audit_closing_undangan (
	audit_closing_undangan_id int(11) NOT NULL,
	audit_id int(11) NULL,
	kode varchar(100) NULL,
	tanggal date NULL,
	jam_mulai varchar(6) NULL,
	jam_selesai varchar(6) NULL,
	tempat varchar(150) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL,
	posting_by varchar(150) NULL,
	posting_date date NULL,
	lampiran_dok varchar(1000) NULL,
	log_info varchar(1000) NULL,
	pendahuluan varchar(1000) NULL
);

-- Table Triggers

-- create trigger generate_no_closeundang_trg_exec before
-- insert
--     or
-- update
--     on
--     audit_closing_undangan for each row execute procedure generate_no_closeundang_trg();


-- audit_closing_undangan_ttd definition

-- Drop table



CREATE TABLE audit_closing_undangan_ttd (
	audit_closing_undangan_ttd_id bigint(11) NOT NULL,
	audit_closing_undangan_id varchar(255) NULL,
	audit_id int(11) NULL,
	jenis varchar(15) NULL,
	urut varchar(100) NULL,
	nipp varchar(25) NULL,
	nama varchar(150) NULL,
	jabatan varchar(250) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL,
	approval_date date NULL,
	auto_approval_date date NULL
);


-- audit_data definition

-- Drop table



CREATE TABLE audit_data (
	audit_data_id int(11) NOT NULL,
	audit_id int(11) NULL,
	jenis_dokumen varchar(25) NULL,
	nama varchar(150) NULL,
	keterangan text NULL,
	dokumen varchar(1000) NULL,
	dokumen_tipe varchar(150) NULL,
	dokumen_ukuran varchar(150) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL,
	review_by varchar(150) NULL,
	review_date date NULL,
	review_note varchar(1000) NULL
);


-- audit_data_internal definition

-- Drop table



CREATE TABLE audit_data_internal (
	audit_data_internal_id int(11) NOT NULL,
	audit_id int(11) NULL,
	audit_index varchar(80) NULL,
	keterangan text NULL,
	jenis_dokumen varchar(25) NULL,
	nama varchar(150) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL,
	review_by varchar(150) NULL,
	review_date date NULL,
	review_note varchar(1000) NULL
);


-- audit_direktorat definition

-- Drop table



CREATE TABLE audit_direktorat (
	audit_direktorat_id int(11) NOT NULL,
	audit_id int(11) NULL,
	kd_dit varchar(25) NULL,
	kd_subdit varchar(25) NULL,
	nm_dit varchar(150) NULL,
	nm_subdit varchar(150) NULL,
	pimpinan varchar(150) NULL,
	pimpinan_jabatan varchar(250) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL
);

-- Table Triggers

-- create trigger audit_dit_trg_exec before
-- insert
--     or
-- update
--     on
--     audit_direktorat for each row execute procedure audit_dit_trg();


-- audit_direktorat_history definition

-- Drop table



CREATE TABLE audit_direktorat_history (
	audit_direktorat_id int(11) NOT NULL,
	audit_id int(11) NULL,
	kd_dit varchar(25) NULL,
	kd_subdit varchar(25) NULL,
	nm_dit varchar(150) NULL,
	nm_subdit varchar(150) NULL,
	pimpinan varchar(150) NULL,
	pimpinan_jabatan varchar(250) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL
);


-- audit_khusus_ttd definition

-- Drop table



CREATE TABLE audit_khusus_ttd (
	audit_khusus_ttd_id int(11) NOT NULL,
	audit_id int(11) NULL,
	jenis varchar(15) NULL,
	urut varchar(20) NULL,
	nipp varchar(25) NULL,
	nama varchar(150) NULL,
	jabatan varchar(250) NULL,
	approval_date date NULL,
	email_cek varchar(150) NULL,
	isian text NULL,
	sm_inisial varchar(250) NULL,
	sm_nipp varchar(250) NULL,
	sm_approval varchar(250) NULL,
	sm_approval_date varchar(250) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL,
	sm_jabatan varchar(250) NULL,
	sm_nama varchar(250) NULL,
	sm_send int(11) NULL,
	send int(11) NULL,
	log_data text NULL,
	sm_send_date date NULL,
	send_date date NULL,
	auto_aproved varchar(250) NULL
);


-- audit_kka_dasar definition

-- Drop table



CREATE TABLE audit_kka_dasar (
	audit_kka_dasar_id int(11) NOT NULL,
	audit_id int(11) NULL,
	created_by varchar(150) NULL,
	updated_date date NULL,
	updated_by varchar(150) NULL,
	created_date date NULL,
	keterangan text NULL
);


-- audit_kka_langkah definition

-- Drop table



CREATE TABLE audit_kka_langkah (
	audit_kka_langkah_id int(11) NOT NULL,
	audit_id int(11) NULL,
	created_by varchar(150) NULL,
	updated_date date NULL,
	updated_by varchar(150) NULL,
	created_date date NULL,
	keterangan text NULL
);


-- audit_kka_obyek definition

-- Drop table



CREATE TABLE audit_kka_obyek (
	audit_kka_obyek_id bigint(11) NOT NULL,
	audit_id bigint(11) NULL,
	created_by varchar(150) NULL,
	updated_date date NULL,
	updated_by varchar(150) NULL,
	created_date date NULL,
	target date NULL,
	closing_undangan varchar(1) NULL,
	posting_by varchar(150) NULL,
	reschedule date NULL,
	draft_penyusunan text NULL,
	keterangan text NULL,
	kriteria text NULL,
	history_review text NULL,
	tanggapan text NULL,
	kriteria_temuan text NULL,
	temp_temuan text NULL,
	log_target text NULL,
	bidang_program_strategis_id int(11) NULL,
	bidang_program_strategis varchar(255) NULL,
	deskripsi text NULL,
	auditee_nip varchar(50) NULL,
	auditee varchar(250) NULL,
	auditor_nipp varchar(50) NULL,
	auditor varchar(250) NULL,
	posting_date date NULL,
	review_by varchar(150) NULL,
	review_date date NULL,
	review_alasan text NULL,
	auditee_approve varchar(150) NULL,
	auditee_approve_date date NULL,
	auditee_approve_alasan text NULL,
	status_kka varchar(50) NULL DEFAULT 'DRAFT',
	audit_kka_nomor varchar(100) NULL,
	audit_kka_tanggal date NULL,
	status_hapus varchar(1) NULL DEFAULT '0',
	status_hapus_by varchar(150) NULL,
	status_hapus_date date NULL,
	status_hapus_alasan text NULL
);

-- Table Triggers

-- create trigger trigger_kka_object_log_exec before
-- insert
--     or
-- update
--     on
--     audit_kka_obyek for each row execute procedure trigger_kka_object_log();


-- audit_kka_obyek_closing definition

-- Drop table



CREATE TABLE audit_kka_obyek_closing (
	audit_kka_obyek_id int(11) NOT NULL,
	audit_id int(11) NULL,
	keterangan varchar(1000) NULL,
	created_by varchar(150) NULL,
	updated_date date NULL,
	updated_by varchar(150) NULL,
	created_date date NULL,
	kriteria varchar(1000) NULL,
	history_review varchar(1000) NULL,
	tanggapan varchar(1000) NULL,
	kriteria_temuan varchar(1000) NULL,
	target date NULL,
	temp_temuan varchar(1000) NULL
);


-- audit_kka_obyek_history definition

-- Drop table



CREATE TABLE audit_kka_obyek_history (
	audit_kka_obyek_id int(11) NOT NULL,
	audit_id int(11) NULL,
	keterangan varchar(1000) NULL,
	created_by varchar(150) NULL,
	updated_date date NULL,
	updated_by varchar(150) NULL,
	created_date date NULL,
	kriteria varchar(1000) NULL
);


-- audit_kka_obyek_log definition

-- Drop table



CREATE TABLE audit_kka_obyek_log (
	audit_kka_obyek_id int(11) NULL,
	audit_id int(11) NULL,
	created_by varchar(150) NULL,
	updated_date date NULL,
	updated_by varchar(150) NULL,
	created_date date NULL,
	target date NULL,
	closing_undangan varchar(1) NULL,
	posting_by varchar(150) NULL,
	reschedule date NULL,
	draft_penyusunan text NULL,
	keterangan text NULL,
	kriteria text NULL,
	history_review text NULL,
	tanggapan text NULL,
	kriteria_temuan text NULL,
	temp_temuan text NULL,
	log_target text NULL,
	log_date_create timestamp NULL DEFAULT now()
);


-- audit_kka_sasaran definition

-- Drop table



CREATE TABLE audit_kka_sasaran (
	audit_kka_sasaran_id int(11) NOT NULL,
	audit_id int(11) NULL,
	created_by varchar(150) NULL,
	updated_date date NULL,
	updated_by varchar(150) NULL,
	created_date date NULL,
	keterangan text NULL
);


-- audit_kka_temuan definition

-- Drop table



CREATE TABLE audit_kka_temuan (
	audit_kka_temuan_id bigint(11) NOT NULL,
	audit_kka_obyek_id bigint(11) NOT NULL,
	audit_id bigint(11) NULL,
	target date NULL,
	reschedule date NULL,
	kondisi text NULL,
	kriteria text NULL,
	sebab text NULL,
	akibat text NULL,
	tanggapan text NULL,
	rekomendasi text NULL,
	created_by varchar(150) NULL,
	updated_date date NULL,
	updated_by varchar(150) NULL,
	created_date date NULL,
	posting_by varchar(150) NULL,
	status_tanggapan varchar(150) NULL DEFAULT 'Draft',
	posting_date date NULL,
	audit_temuan_nomor varchar(50) NULL,
	audit_temuan_tanggal date NULL,
	review_by varchar(250) NULL,
	review_date date NULL,
	review_alasan text NULL,
	tanggapan_by varchar(150) NULL,
	tanggapan_date date NULL,
	posting_kaspi_date date NULL,
	review_kaspi_by varchar(50) NULL,
	review_kaspi_date date NULL,
	review_kaspi_alasan text NULL,
	status_hapus varchar(1) NULL DEFAULT '0',
	status_hapus_by varchar(150) NULL,
	status_hapus_date date NULL,
	status_hapus_alasan text NULL,
	jenis_temuan_id int4 NULL,
	jenis_temuan varchar(150) NULL,
	jenis_temuan_keterangan varchar(150) NULL,
	status_tindak_lanjut varchar(50) NULL DEFAULT 'DRAFT',
	posting_tindak_lanjut_by varchar(150) NULL,
	posting_tindak_lanjut_date date NULL,
	status_klasifikasi_tindakan varchar(50) NULL DEFAULT 'Belum Tindak Lanjut',
	status_klasifikasi_tindakan_catatan text NULL,
	status_klasifikasi_tindakan_by varchar(150) NULL,
	status_klasifikasi_tindakan_date date NULL,
	status_tanggapan_temp varchar(150) NULL,
	tanggapan_lampiran varchar(250) NULL,
	tanggapan_atasan_by varchar(150) NULL,
	tanggapan_atasan_date date NULL,
	judul_temuan varchar(1000) NULL,
	lampiran varchar(250) NULL,
	kd_dit_info varchar(50) NULL,
	nama_dit_info varchar(255) NULL,
	bidang_info varchar(50) NULL
);

-- Table Triggers

-- create trigger trigger_audit_kka_temuan_eksternal_exec before
-- insert
--     or
-- update
--     on
--     audit_kka_temuan for each row execute procedure trigger_audit_kka_temuan_eksternal();
-- create trigger trigger_audit_kka_temuan_exec before
-- update
--     on
--     audit_kka_temuan for each row execute procedure trigger_audit_kka_temuan();


-- audit_kka_temuan_dokumen_tinjut definition

-- Drop table



CREATE TABLE audit_kka_temuan_dokumen_tinjut (
	audit_kka_temuan_dokumen_tinjut_id bigint(11) NOT NULL AUTO_INCREMENT,
	audit_kka_temuan_id bigint(11) NULL,
	audit_id bigint(11) NULL,
	dokumen varchar(255) NULL,
	created_by varchar(255) NULL,
	created_date date NULL,
	updated_by varchar(255) NULL,
	updated_date date NULL,
	CONSTRAINT audit_kka_temuan_dokumen_tinjut_pkey PRIMARY KEY (audit_kka_temuan_dokumen_tinjut_id)
);


-- audit_kka_temuan_kriteria definition

-- Drop table



CREATE TABLE audit_kka_temuan_kriteria (
	audit_kka_temuan_kriteria_id bigint(11) NOT NULL,
	audit_kka_temuan_id bigint(11) NOT NULL,
	audit_id bigint(11) NULL,
	nama text NULL,
	keterangan text NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL,
	pasal text NULL
);


-- audit_kka_temuan_nomor definition

-- Drop table



CREATE TABLE audit_kka_temuan_nomor (
	audit_kka_temuan_nomor_id bigint(11) NOT NULL AUTO_INCREMENT,
	audit_kka_temuan_id bigint(11) NULL,
	audit_id bigint(11) NULL,
	nomor varchar(255) NULL,
	created_by varchar(255) NULL,
	created_date date NULL,
	updated_by varchar(255) NULL,
	updated_date date NULL,
	CONSTRAINT audit_kka_temuan_dokumen_tinjut_copy1_pkey PRIMARY KEY (audit_kka_temuan_nomor_id)
);


-- audit_kka_temuan_rekomendasi definition

-- Drop table



CREATE TABLE audit_kka_temuan_rekomendasi (
	audit_kka_temuan_rekomendasi_id bigint(11) NOT NULL,
	audit_kka_temuan_id bigint(11) NOT NULL,
	audit_id bigint(11) NULL,
	keterangan text NULL,
	pic text NULL,
	pic_nama text NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL,
	pic_email_date date NULL,
	pendamping text NULL,
	pendamping_nama text NULL
);

-- Table Triggers

-- create trigger trigger_audit_kka_temuan_rekomendasi_exec before
-- insert
--     or
-- update
--     on
--     audit_kka_temuan_rekomendasi for each row execute procedure trg_audit_kka_temuan_rekomendasi();


-- audit_kka_temuan_tindakan definition

-- Drop table



CREATE TABLE audit_kka_temuan_tindakan (
	audit_kka_temuan_tindakan_id bigint(11) NOT NULL,
	audit_kka_temuan_id bigint(11) NOT NULL,
	audit_id bigint(11) NULL,
	tanggal date NULL,
	tindakan text NULL,
	status varchar(100) NULL DEFAULT 'DRAFT',
	status_tindakan varchar(100) NULL,
	created_by varchar(150) NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL,
	posting_by varchar(150) NULL,
	posting_date date NULL,
	lampiran varchar(250) NULL,
	status_klasifikasi_tindakan varchar(50) NULL,
	status_klasifikasi_tindakan_catatan text NULL,
	status_klasifikasi_tindakan_by varchar(150) NULL,
	status_klasifikasi_tindakan_date date NULL,
	created_jabatan varchar(250) NULL,
	created_date timestamp NULL,
	lampiran_nama varchar(250) NULL,
	lampiran_dokumen varchar(255) NULL
);


-- Table Triggers

-- create trigger trigger_audit_kka_temuan_tindakan_exec after
-- update
--     on
--     audit_kka_temuan_tindakan for each row execute procedure trigger_audit_kka_temuan_tindakan();


-- audit_kka_tujuan definition

-- Drop table



CREATE TABLE audit_kka_tujuan (
	audit_kka_tujuan_id int(11) NOT NULL,
	audit_id int(11) NULL,
	created_by varchar(150) NULL,
	updated_date date NULL,
	updated_by varchar(150) NULL,
	created_date date NULL,
	keterangan text NULL
);


-- audit_lha definition

-- Drop table



CREATE TABLE audit_lha (
	audit_lha_id int(11) NOT NULL,
	audit_id int(11) NULL,
	resume text NULL,
	created_by varchar(150) NULL,
	updated_date date NULL,
	updated_by varchar(150) NULL,
	created_date date NULL,
	kode varchar(100) NULL,
	tanggal date NULL,
	posting_by varchar(150) NULL,
	posting_date date NULL,
	lampiran_dok varchar(1000) NULL,
	data_lampiran text NULL,
	susunan_lampiran text NULL
);

-- Table Triggers

-- create trigger generate_no_auditlha_trg_exec before
-- insert
--     or
-- update
--     on
--     audit_lha for each row execute procedure generate_no_auditlha_trg();


-- audit_lha_bahasan definition

-- Drop table



CREATE TABLE audit_lha_bahasan (
	audit_lha_bahasan_id int(11) NOT NULL,
	audit_lha_id int(11) NULL,
	jenis varchar(15) NULL,
	urut varchar(100) NULL,
	keterangan varchar(1000) NULL,
	created_by varchar(150) NULL,
	updated_date date NULL,
	updated_by varchar(150) NULL,
	created_date date NULL
);


-- audit_lha_hasil definition

-- Drop table



CREATE TABLE audit_lha_hasil (
	audit_lha_hasil_id int(11) NOT NULL,
	audit_lha_id varchar(20) NULL,
	audit_id int(11) NULL,
	nama varchar(250) NULL,
	kondisi text NULL,
	kriteria text NULL,
	sebab text NULL,
	akibat text NULL,
	komentar text NULL,
	rekomendasi text NULL,
	status_selesai varchar(150) NULL,
	created_by varchar(150) NULL,
	updated_date date NULL,
	updated_by varchar(150) NULL,
	created_date date NULL,
	posting_by varchar(150) NULL,
	posting_date date NULL,
	komentar_by varchar(150) NULL,
	komentar_date date NULL,
	komentar_posting_date date NULL,
	klasifikasi_id varchar(25) NULL,
	lampiran_dok varchar(1000) NULL,
	tanggal_target date NULL,
	audit_kka_obyek_id int(11) NULL,
	kode varchar(300) NULL,
	kd_subdit varchar(1000) NULL
);


-- audit_lha_hasil_tindak definition

-- Drop table



CREATE TABLE audit_lha_hasil_tindak (
	audit_lha_hasil_tindak_id int(11) NOT NULL,
	audit_lha_hasil_id int(11) NULL,
	audit_id int(11) NULL,
	tindakan text NULL,
	tanggal_batas date NULL,
	status_selesai varchar(150) NULL,
	created_by varchar(150) NULL,
	updated_date date NULL,
	updated_by varchar(150) NULL,
	created_date date NULL,
	closed_by varchar(150) NULL,
	closed_date date NULL,
	nipp_pegawai varchar(30) NULL,
	nama_pegawai varchar(200) NULL,
	lampiran_dok text NULL
);


-- audit_lha_hasil_tindak_aksi definition

-- Drop table



CREATE TABLE audit_lha_hasil_tindak_aksi (
	audit_lha_hasil_tindak_aksi_id int(11) NOT NULL,
	audit_id int(11) NULL,
	audit_lha_id int(11) NULL,
	audit_lha_hasil_id int(11) NULL,
	audit_lha_hasil_tindak_id int(11) NULL,
	kd_dit varchar(25) NULL,
	kd_subdit varchar(25) NULL,
	hasil_tindakan text NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL,
	review_by varchar(150) NULL,
	review_date date NULL,
	tanggal date NULL
);


-- audit_lha_hasil_tindak_dit definition

-- Drop table


CREATE TABLE audit_lha_hasil_tindak_dit (
	audit_lha_hasil_tindak_dit_id int(11) NOT NULL,
	audit_id int(11) NULL,
	audit_lha_id int(11) NULL,
	audit_lha_hasil_id int(11) NULL,
	audit_lha_hasil_tindak_id int(11) NULL,
	kd_dit varchar(25) NULL,
	kd_subdit varchar(25) NULL,
	pimpinan varchar(150) NULL,
	pimpinan_jabatan varchar(250) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL
);


-- audit_log_penolakan definition

-- Drop table



CREATE TABLE audit_log_penolakan (
	audit_id int(11) NOT NULL,
	undangan_wawancara_penolakan text NULL,
	created_by varchar(150) NULL,
	updated_date date NULL,
	updated_by varchar(150) NULL,
	created_date date NULL,
	undangan_opening_penolakan text NULL,
	opening_penolakan text NULL,
	temuan_penolakan text NULL,
	undangan_closing_penolakan text NULL,
	closing_penolakan text NULL,
	kertas_kerja text NULL
);


-- audit_nomor definition

-- Drop table



CREATE TABLE audit_nomor (
	audit_id int(11) NULL,
	bulan varchar(2) NULL,
	tahun varchar(4) NULL,
	kode varchar(25) NULL,
	nomor int(11) NULL,
	surat varchar(100) NULL,
	created_date date NULL,
	audit_ren_id int(11) NULL
);


-- audit_opening definition

-- Drop table



CREATE TABLE audit_opening (
	audit_opening_id int(11) NOT NULL,
	audit_id int(11) NULL,
	kode varchar(100) NULL,
	tanggal date NULL,
	jam_mulai varchar(6) NULL,
	jam_selesai varchar(6) NULL,
	tempat varchar(150) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL,
	posting_by varchar(150) NULL,
	posting_date date NULL,
	pemimpin_rapat varchar(255) NULL,
	auto_approval_date date NULL,
	approval_date date NULL,
	lampiran_dok varchar(1000) NULL,
	submit_by varchar(150) NULL,
	submit_date date NULL,
	pokok_bahasan text NULL
);

-- Table Triggers

-- create trigger gen_auto_appr_opening_trg_exec before
-- update
--     on
--     audit_opening for each row execute procedure gen_auto_appr_opening_trg();
-- create trigger gen_auto_auditopen_trg_exec before
-- update
--     on
--     audit_opening for each row execute procedure gen_auto_auditopen_trg();
-- create trigger generate_no_auditom_trg_exec before
-- insert
--     or
-- update
--     on
--     audit_opening for each row execute procedure generate_no_auditom_trg();


-- audit_opening_bahasan definition

-- Drop table



CREATE TABLE audit_opening_bahasan (
	audit_opening_bahasan_id int(11) NOT NULL,
	audit_opening_id int(11) NULL,
	audit_id int(11) NULL,
	jenis varchar(15) NULL,
	urut int(11) NULL,
	created_by varchar(150) NULL,
	updated_date date NULL,
	updated_by varchar(150) NULL,
	created_date date NULL,
	keterangan text NULL
);


-- audit_opening_lha definition

-- Drop table



CREATE TABLE audit_opening_lha (
	audit_opening_lha_id int(11) NOT NULL,
	audit_id int(11) NULL,
	kode varchar(100) NULL,
	tanggal date NULL,
	jam_mulai varchar(6) NULL,
	jam_selesai varchar(6) NULL,
	tempat varchar(150) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL,
	posting_by varchar(150) NULL,
	posting_date date NULL,
	pokok_bahasan varchar(255) NULL,
	pemimpin_rapat varchar(255) NULL,
	auto_approval_date date NULL,
	approval_date date NULL,
	lampiran_dok varchar(1000) NULL
);


-- audit_opening_lha_ttd definition

-- Drop table



CREATE TABLE audit_opening_lha_ttd (
	audit_opening_lha_ttd_id int(11) NOT NULL,
	audit_opening_lha_id int(11) NULL,
	audit_id int(11) NULL,
	jenis varchar(15) NULL,
	urut varchar(20) NULL,
	nipp varchar(25) NULL,
	nama varchar(150) NULL,
	jabatan varchar(250) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL,
	approval_date date NULL
);


-- audit_opening_tim definition

-- Drop table



CREATE TABLE audit_opening_tim (
	audit_opening_tim_id int(11) NOT NULL,
	audit_opening_id int(11) NULL,
	audit_id int(11) NULL,
	urut int(11) NULL,
	nipp varchar(25) NULL,
	nama varchar(150) NULL,
	jabatan varchar(250) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL
);


-- audit_opening_ttd definition

-- Drop table



CREATE TABLE audit_opening_ttd (
	audit_opening_ttd_id int(11) NOT NULL,
	audit_opening_id varchar(100) NULL,
	audit_id int(11) NULL,
	jenis varchar(15) NULL,
	urut varchar(100) NULL,
	nipp varchar(25) NULL,
	nama varchar(150) NULL,
	jabatan varchar(250) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL,
	approval_date date NULL,
	auto_approval_date date NULL,
	bidang_program_strategis_id int(11) NULL
);


-- audit_opening_undangan definition

-- Drop table



CREATE TABLE audit_opening_undangan (
	audit_opening_undangan_id int(11) NOT NULL,
	audit_id int(11) NULL,
	kode varchar(100) NULL,
	tanggal date NULL,
	jam_mulai varchar(6) NULL,
	jam_selesai varchar(6) NULL,
	tempat varchar(150) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL,
	posting_by varchar(150) NULL,
	posting_date date NULL,
	lampiran_dok varchar(1000) NULL,
	log_info varchar(1000) NULL,
	pendahuluan text NULL,
	kota varchar(255) NULL
);

-- Table Triggers

-- create trigger gen_auto_auditopenundangan_trg_exec before
-- update
--     on
--     audit_opening_undangan for each row execute procedure gen_auto_auditopenundangan_trg();
-- create trigger generate_no_openundang_trg_exec before
-- insert
--     or
-- update
--     on
--     audit_opening_undangan for each row execute procedure generate_no_openundang_trg();


-- audit_opening_undangan_ttd definition

-- Drop table



CREATE TABLE audit_opening_undangan_ttd (
	audit_opening_undangan_ttd_id int(11) NOT NULL,
	audit_opening_undangan_id varchar(100) NULL,
	audit_id int(11) NULL,
	jenis varchar(15) NULL,
	urut varchar(100) NULL,
	nipp varchar(25) NULL,
	nama varchar(150) NULL,
	jabatan varchar(250) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL,
	approval_date timestamp NULL,
	auto_approval_date date NULL,
	bidang_program_strategis_id int(11) NULL,
	bidang_program_strategis varchar(250) NULL
);


-- audit_pegawai definition

-- Drop table



CREATE TABLE audit_pegawai (
	audit_pegawai_id int(11) NOT NULL,
	audit_id int(11) NULL,
	kd_dit varchar(25) NULL,
	kd_subdit varchar(25) NULL,
	nm_dit varchar(150) NULL,
	nm_subdit varchar(150) NULL,
	nipp varchar(25) NULL,
	nama varchar(150) NULL,
	jabatan varchar(250) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL,
	bidang_program_strategis varchar(250) NULL,
	bidang_program_strategis_id varchar(250) NULL,
	umpan_balik_masukan text NULL,
	umpan_balik_by varchar(150) NULL,
	umpan_balik_date date NULL,
	umpan_balik_open_date date NULL,
	umpan_balik_open_by varchar(150) NULL
);


-- audit_pegawai_history definition

-- Drop table



CREATE TABLE audit_pegawai_history (
	audit_pegawai_id int(11) NOT NULL,
	audit_id int(11) NULL,
	kd_dit varchar(25) NULL,
	kd_subdit varchar(25) NULL,
	nm_dit varchar(150) NULL,
	nm_subdit varchar(150) NULL,
	nipp varchar(25) NULL,
	nama varchar(150) NULL,
	jabatan varchar(250) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL
);


-- audit_pesan definition

-- Drop table



CREATE TABLE audit_pesan (
	audit_pesan_id int(11) NOT NULL,
	audit_id int(11) NULL,
	subject varchar(1000) NULL,
	keterangan text NULL,
	nipp_pegawai varchar(1000) NULL,
	nama_pegawai varchar(1000) NULL,
	created_by varchar(150) NULL,
	updated_date date NULL,
	updated_by varchar(150) NULL,
	created_date date NULL
);


-- audit_ren definition

-- Drop table



CREATE TABLE audit_ren (
	kd_terminal varchar(25) NOT NULL,
	kd_cabang varchar(25) NOT NULL,
	audit_ren_id int(11) NOT NULL,
	tipe_audit_id int(11) NULL,
	kode varchar(150) NULL,
	nama varchar(250) NULL,
	periode varchar(6) NULL,
	tanggal date NULL,
	tanggal_mulai date NULL,
	tanggal_selesai date NULL,
	hari_rencana varchar(255) NULL,
	hari_realisasi varchar(255) NULL,
	pendahuluan text NULL,
	keterangan varchar(1000) NULL,
	lokasi varchar(150) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL,
	review_by varchar(150) NULL,
	review_date timestamp NULL,
	status varchar(10) NULL DEFAULT 'DRAFT',
	tanggal_periode date NULL,
	tanggal_periode_akhir date NULL,
	periode_akhir varchar(6) NULL,
	auditee_by varchar(25) NULL,
	nominal int(11) NULL,
	bidang_program_strategis_id int(11) NULL,
	metode_audit varchar(150) NULL,
	posting_by varchar(250) NULL,
	posting_date timestamp NULL,
	review_alasan text NULL,
	review_alasan_temp text NULL,
	kd_subdit_auditee varchar(50) NULL,
	analisa_resiko text NULL,
	status_hapus varchar(1) NULL DEFAULT '0',
	status_hapus_by varchar(250) NULL,
	status_hapus_date timestamp NULL
);

-- Table Triggers

-- create trigger generate_no_audit_ren_trg_exec before
-- insert
--     or
-- update
--     on
--     audit_ren for each row execute procedure generate_no_audit_ren_trg();


-- audit_ren_bidang_posting definition

-- Drop table



CREATE TABLE audit_ren_bidang_posting (
	audit_ren_bidang_posting_id int(11) NOT NULL,
	audit_ren_id int(11) NULL,
	bidang_program_strategis_id int(11) NULL,
	bidang_program_strategis varchar(255) NULL,
	posting_by varchar(150) NULL,
	posting_date date NULL,
	approve_by varchar(150) NULL,
	approve_date date NULL,
	revisi text NULL,
	revisi_by varchar(150) NULL,
	revisi_date date NULL
);

-- Table Triggers

-- create trigger audit_ren_bidang_posting_trg_exec before
-- insert
--     or
-- update
--     on
--     audit_ren_bidang_posting for each row execute procedure audit_ren_bidang_posting_trg();


-- audit_ren_data definition

-- Drop table



CREATE TABLE audit_ren_data (
	audit_ren_data_id int(11) NOT NULL,
	audit_ren_id int(11) NULL,
	nama varchar(250) NULL,
	keterangan text NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL,
	bidang_program_strategis_id int(11) NULL,
	bidang_program_strategis varchar(250) NULL,
	batas_akhir date NULL,
	sumber_data varchar(150) NULL,
	objek_audit_id int4 NULL,
	objek_audit_kode varchar(80) NULL
);


-- audit_ren_data_dokumen definition

-- Drop table



CREATE TABLE audit_ren_data_dokumen (
	audit_ren_data_dokumen_id int(11) NOT NULL,
	audit_ren_data_id int(11) NOT NULL,
	audit_ren_id int(11) NULL,
	nama varchar(250) NULL,
	nama_file varchar(250) NULL,
	keterangan text NULL,
	dokumen text NULL,
	bidang_program_strategis_id int(11) NULL,
	bidang_program_strategis varchar(250) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL,
	posting_by varchar(150) NULL,
	posting_date date NULL,
	batas_akhir date NULL,
	dokumen_by varchar(125) NULL DEFAULT 'AUDITOR',
	created_by_nama varchar(250) NULL
);

-- Table Triggers

-- create trigger audit_ren_data_dokumen_trg before
-- insert
--     or
-- update
--     on
--     audit_ren_data_dokumen for each row execute procedure audit_ren_data_dokumen_trg();


-- audit_ren_direktorat definition

-- Drop table



CREATE TABLE audit_ren_direktorat (
	audit_ren_direktorat_id int(11) NOT NULL,
	audit_ren_id int(11) NULL,
	kd_dit varchar(25) NULL,
	kd_subdit varchar(25) NULL,
	nm_dit varchar(150) NULL,
	nm_subdit varchar(150) NULL,
	pimpinan varchar(150) NULL,
	pimpinan_jabatan varchar(250) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL
);

-- Table Triggers

-- create trigger audit_ren_dit_trg_exec before
-- insert
--     or
-- update
--     on
--     audit_ren_direktorat for each row execute procedure audit_ren_dit_trg();


-- audit_ren_direktorat_his definition

-- Drop table



CREATE TABLE audit_ren_direktorat_his (
	revisi_ke int(11) NULL,
	audit_ren_direktorat_id int(11) NOT NULL,
	audit_ren_id int(11) NULL,
	kd_dit varchar(25) NULL,
	kd_subdit varchar(25) NULL,
	nm_dit varchar(150) NULL,
	nm_subdit varchar(150) NULL,
	pimpinan varchar(150) NULL,
	pimpinan_jabatan varchar(250) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL
);


-- audit_ren_his definition

-- Drop table



CREATE TABLE audit_ren_his (
	revisi_ke int(11) NULL,
	kd_terminal varchar(25) NOT NULL,
	kd_cabang varchar(25) NOT NULL,
	audit_ren_id int(11) NOT NULL,
	tipe_audit_id int(11) NULL,
	kode varchar(150) NULL,
	nama varchar(250) NULL,
	periode varchar(6) NULL,
	tanggal date NULL,
	tanggal_mulai date NULL,
	tanggal_selesai date NULL,
	hari_rencana varchar(255) NULL,
	hari_realisasi varchar(255) NULL,
	pendahuluan text NULL,
	keterangan varchar(1000) NULL,
	lokasi varchar(150) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL,
	review_by varchar(150) NULL,
	review_date date NULL,
	status varchar(10) NULL DEFAULT 'DRAFT',
	periode_akhir varchar(6) NULL,
	auditee_by varchar(25) NULL
);


-- audit_ren_log definition

-- Drop table



CREATE TABLE audit_ren_log (
	kd_terminal varchar(255) NULL,
	kd_cabang varchar(255) NULL,
	audit_ren_id int(11) NULL,
	tipe_audit_id int(11) NULL,
	kode varchar(255) NULL,
	nama varchar(255) NULL,
	periode varchar(255) NULL,
	tanggal date NULL,
	tanggal_mulai date NULL,
	tanggal_selesai date NULL,
	hari_rencana int(11) NULL,
	hari_realisasi int(11) NULL,
	pendahuluan text NULL,
	keterangan text NULL,
	lokasi varchar(255) NULL,
	created_by varchar(255) NULL,
	created_date date NULL,
	updated_by varchar(255) NULL,
	updated_date date NULL,
	review_by varchar(255) NULL,
	review_date date NULL,
	status varchar(255) NULL,
	tanggal_periode date NULL,
	tanggal_periode_akhir date NULL,
	periode_akhir varchar(255) NULL,
	auditee_by varchar(255) NULL
);


-- audit_ren_obyek definition

-- Drop table



CREATE TABLE audit_ren_obyek (
	audit_ren_obyek_id int(11) NOT NULL,
	audit_ren_id int(11) NULL,
	keterangan varchar(1000) NULL,
	created_by varchar(150) NULL,
	updated_date date NULL,
	updated_by varchar(150) NULL,
	created_date date NULL,
	bidang_program_strategis_id int(11) NULL,
	bidang_program_strategis varchar(255) NULL,
	deskripsi text NULL,
	objek_audit_id int4 NULL,
	objek_audit_kode varchar(80) NULL
);


-- audit_ren_obyek_his definition

-- Drop table



CREATE TABLE audit_ren_obyek_his (
	revisi_ke int(11) NULL,
	audit_ren_obyek_id int(11) NOT NULL,
	audit_ren_id int(11) NULL,
	keterangan varchar(1000) NULL,
	created_by varchar(150) NULL,
	updated_date date NULL,
	updated_by varchar(150) NULL,
	created_date date NULL
);


-- audit_ren_pegawai definition

-- Drop table



CREATE TABLE audit_ren_pegawai (
	audit_ren_pegawai_id int(11) NOT NULL,
	audit_ren_id int(11) NULL,
	kd_dit varchar(25) NULL,
	kd_subdit varchar(25) NULL,
	nm_dit varchar(150) NULL,
	nm_subdit varchar(150) NULL,
	nipp varchar(25) NULL,
	nama varchar(150) NULL,
	jabatan varchar(250) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL,
	bidang_program_strategis varchar(250) NULL,
	bidang_program_strategis_id varchar(250) NULL
);


-- audit_ren_pegawai_his definition

-- Drop table



CREATE TABLE audit_ren_pegawai_his (
	revisi_ke int(11) NULL,
	audit_ren_pegawai_id int(11) NOT NULL,
	audit_ren_id int(11) NULL,
	kd_dit varchar(25) NULL,
	kd_subdit varchar(25) NULL,
	nm_dit varchar(150) NULL,
	nm_subdit varchar(150) NULL,
	nipp varchar(25) NULL,
	nama varchar(150) NULL,
	jabatan varchar(250) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL
);


-- audit_ren_ruang_lingkup definition

-- Drop table



CREATE TABLE audit_ren_ruang_lingkup (
	audit_ren_ruang_lingkup_id int(11) NOT NULL,
	audit_ren_id int(11) NULL,
	created_by varchar(150) NULL,
	updated_date date NULL,
	updated_by varchar(150) NULL,
	created_date date NULL,
	keterangan text NULL,
	resiko text NULL
);


-- audit_ren_surat_perintah definition

-- Drop table



CREATE TABLE audit_ren_surat_perintah (
	audit_ren_surat_perintah_id int(11) NOT NULL,
	audit_ren_id int(11) NULL,
	tanggal date NULL,
	dasar text NULL,
	pertimbangan text NULL,
	ruang_lingkup text NULL,
	kepada text NULL,
	untuk text NULL,
	lain_lain text NULL,
	tembusan text NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL,
	posting_by varchar(150) NULL,
	posting_date date NULL,
	approve_by varchar(150) NULL,
	approve_date date NULL,
	nomor varchar(50) NULL,
	revisi text NULL,
	revisi_by varchar(150) NULL,
	revisi_date date NULL
);


-- audit_ren_tim definition

-- Drop table



CREATE TABLE audit_ren_tim (
	audit_ren_tim_id int(11) NOT NULL,
	audit_ren_id int(11) NULL,
	urut varchar(20) NULL,
	nipp varchar(25) NULL,
	nama varchar(150) NULL,
	jabatan varchar(250) NULL,
	jabatan_audit varchar(150) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL,
	bidang_program_strategis varchar(250) NULL,
	bidang_program_strategis_id varchar(250) NULL
);


-- audit_ren_tujuan definition

-- Drop table



CREATE TABLE audit_ren_tujuan (
	audit_ren_tujuan_id int(11) NOT NULL,
	audit_ren_id int(11) NULL,
	created_by varchar(150) NULL,
	updated_date date NULL,
	updated_by varchar(150) NULL,
	created_date date NULL,
	keterangan text NULL
);


-- audit_ren_wawancara definition

-- Drop table



CREATE TABLE audit_ren_wawancara (
	audit_ren_wawancara_id int(11) NOT NULL,
	audit_id int(11) NULL,
	kd_dit varchar(150) NULL,
	kd_subdit varchar(150) NULL,
	nama varchar(250) NULL,
	keterangan varchar(1000) NULL,
	back_jawaban varchar(1000) NULL,
	created_by varchar(150) NULL,
	updated_date date NULL,
	updated_by varchar(150) NULL,
	created_date date NULL,
	audit_lha_hasil_id int(11) NULL,
	review varchar(255) NULL,
	`object` varchar(255) NULL,
	detail varchar(1000) NULL,
	nipp varchar(1000) NULL,
	foo varchar(200) NULL,
	jawaban text NULL
);


-- audit_tahapan definition

-- Drop table



CREATE TABLE audit_tahapan (
	audit_tahapan_id int(11) NOT NULL,
	audit_id int(11) NULL,
	kode varchar(25) NULL,
	tahapan varchar(150) NULL,
	urut int(11) NULL,
	tanggal_mulai date NULL,
	tanggal_selesai date NULL,
	lokasi varchar(150) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(250) NULL,
	updated_date date NULL
);


-- audit_tanggapan definition

-- Drop table



CREATE TABLE audit_tanggapan (
	audit_tanggapan_id int(11) NOT NULL,
	audit_id int(11) NULL,
	parent_id int(11) NULL,
	nipp_pegawai int(11) NULL,
	nama_pegawai varchar(150) NULL,
	created_by varchar(150) NULL,
	updated_date date NULL,
	updated_by varchar(150) NULL,
	created_date date NULL,
	posting_by varchar(150) NULL,
	posting_date date NULL,
	urut_id int(11) NULL,
	keterangan text NULL,
	kode varchar(300) NULL
);


-- audit_temuan definition

-- Drop table



CREATE TABLE audit_temuan (
	audit_temuan_id int(11) NOT NULL,
	audit_data_id int(11) NULL,
	kriteria text NULL,
	referensi text NULL,
	temuan text NULL,
	tanggapan text NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL
);


-- audit_temuan_direkorat definition

-- Drop table



CREATE TABLE audit_temuan_direkorat (
	audit_temuan_direkorat_id int(11) NULL,
	audit_id int(11) NULL,
	audit_kka_obyek_id int(11) NULL,
	kode varchar(150) NULL,
	kd_dit varchar(150) NULL,
	kd_subdit varchar(150) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(250) NULL,
	updated_date date NULL,
	urut int(11) NULL
);


-- audit_temuan_ttd definition

-- Drop table



CREATE TABLE audit_temuan_ttd (
	audit_temuan_ttd_id bigint(11) NOT NULL,
	audit_temuan_id varchar(255) NULL,
	audit_id int(11) NULL,
	jenis varchar(15) NULL,
	urut int(11) NULL,
	nipp varchar(25) NULL,
	nama varchar(150) NULL,
	jabatan varchar(250) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL,
	approval_date date NULL,
	email_cek varchar(150) NULL
);


-- audit_tim definition

-- Drop table



CREATE TABLE audit_tim (
	audit_tim_id int(11) NOT NULL,
	audit_id int(11) NULL,
	urut varchar(20) NULL,
	nipp varchar(25) NULL,
	nama varchar(150) NULL,
	jabatan varchar(250) NULL,
	jabatan_audit varchar(150) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL,
	status varchar(255) NULL,
	approval_kka_date timestamp NULL,
	approval_opening_date timestamp NULL,
	auto_kka_date timestamp NULL,
	auto_opening_date timestamp NULL,
	bidang_program_strategis varchar(250) NULL,
	bidang_program_strategis_id varchar(250) NULL
);


-- audit_tim_eksternal definition

-- Drop table



CREATE TABLE audit_tim_eksternal (
	audit_tim_eksternal_id int(11) NOT NULL,
	audit_id int(11) NULL,
	urut varchar(20) NULL,
	nipp varchar(25) NULL,
	nama varchar(150) NULL,
	jabatan varchar(250) NULL,
	jabatan_audit varchar(150) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL,
	status varchar(255) NULL,
	approval_kka_date date NULL,
	approval_opening_date date NULL,
	auto_kka_date date NULL,
	auto_opening_date date NULL
);


-- audit_tim_history definition

-- Drop table



CREATE TABLE audit_tim_history (
	audit_tim_id int(11) NOT NULL,
	audit_id int(11) NULL,
	urut varchar(255) NULL,
	nipp varchar(25) NULL,
	nama varchar(150) NULL,
	jabatan varchar(250) NULL,
	jabatan_audit varchar(150) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL,
	status varchar(255) NULL,
	audit_tim_history date NULL,
	approval_kka_date date NULL
);


-- audit_umpan_balik definition

-- Drop table



CREATE TABLE audit_umpan_balik (
	audit_umpan_balik_id int(11) NOT NULL AUTO_INCREMENT,
	audit_id int(11) NULL,
	umpan_balik_id int(11) NOT NULL,
	urut int4 NULL,
	keterangan text NULL,
	tanggapan varchar(50) NULL,
	created_by varchar(255) NULL,
	created_date date NULL,
	updated_by varchar(255) NULL,
	updated_date date NULL,
	posting_by varchar(150) NULL,
	posting_date date NULL,
	CONSTRAINT audit_umpan_balik_pkey PRIMARY KEY (audit_umpan_balik_id)
);


-- audit_wawancara definition

-- Drop table



CREATE TABLE audit_wawancara (
	audit_wawancara_id int(11) NOT NULL,
	audit_id int(11) NULL,
	hasil text NULL,
	tanggapan text NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL,
	posting_by varchar(150) NULL,
	posting_date date NULL,
	lampiran_dok varchar(1000) NULL,
	submit_by varchar(150) NULL,
	submit_date date NULL,
	auto_approval_date date NULL,
	approval_date date NULL
);

-- Table Triggers

-- create trigger gen_auto_appr_wwncara_trg_exec before
-- update
--     on
--     audit_wawancara for each row execute procedure gen_auto_appr_wwncara_trg();
-- create trigger gen_auto_auditwwcr_trg_exec before
-- update
--     on
--     audit_wawancara for each row execute procedure gen_auto_auditwwcr_trg();


-- audit_wawancara_tanggapan definition

-- Drop table



CREATE TABLE audit_wawancara_tanggapan (
	audit_wawancara_tanggapan_id int(11) NOT NULL,
	audit_wawancara_id int(11) NULL,
	kd_dit varchar(25) NULL,
	kd_subdit varchar(25) NULL,
	tanggapan text NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL
);


-- audit_wawancara_ttd definition

-- Drop table



CREATE TABLE audit_wawancara_ttd (
	audit_wawancara_ttd_id int(11) NOT NULL,
	audit_wawancara_id varchar(20) NULL,
	audit_id int(11) NULL,
	jenis varchar(15) NULL,
	urut varchar(100) NULL,
	nipp varchar(25) NULL,
	nama varchar(150) NULL,
	jabatan varchar(250) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL,
	approval_date date NULL,
	tanggapan varchar(1000) NULL,
	auto_approval_date date NULL
);


-- audit_wawancara_undangan definition

-- Drop table



CREATE TABLE audit_wawancara_undangan (
	audit_wawancara_undangan_id int(11) NOT NULL,
	audit_id int(11) NULL,
	kode varchar(100) NULL,
	tanggal date NULL,
	jam_mulai varchar(6) NULL,
	jam_selesai varchar(6) NULL,
	tempat varchar(150) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL,
	posting_by varchar(150) NULL,
	posting_date date NULL,
	lampiran_dok varchar(1000) NULL,
	log_info varchar(1000) NULL,
	pendahuluan varchar(1000) NULL
);

-- Table Triggers

-- create trigger generate_no_wwcrundang_trg_exec before
-- insert
--     or
-- update
--     on
--     audit_wawancara_undangan for each row execute procedure generate_no_wwcrundang_trg();


-- audit_wwcr_undangan_ttd definition

-- Drop table



CREATE TABLE audit_wwcr_undangan_ttd (
	audit_wwcr_undangan_ttd_id int(11) NOT NULL ,
	audit_wawancara_undangan_id int(11) NULL,
	audit_id int(11) NULL,
	jenis varchar(15) NULL,
	urut varchar(100) NULL,
	nipp varchar(25) NULL,
	nama varchar(150) NULL,
	jabatan varchar(250) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL,
	approval_date date NULL,
	approval_alasan varchar(1000) NULL
);


-- auditee definition

-- Drop table



CREATE TABLE auditee (
	kd_terminal varchar(25) NOT NULL,
	kd_cabang varchar(25) NOT NULL,
	audit_id int(11) NOT NULL,
	tipe_audit_id int(11) NULL,
	nomor_kka varchar(50) NULL,
	nomor_opening varchar(50) NULL,
	nama varchar(250) NULL,
	periode varchar(6) NULL,
	tanggal date NULL,
	tanggal_mulai date NULL,
	tanggal_selesai date NULL,
	hari_rencana varchar(100) NULL,
	hari_realisasi varchar(100) NULL,
	pendahuluan text NULL,
	keterangan varchar(1000) NULL,
	lokasi varchar(150) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL,
	review_by varchar(150) NULL,
	review_date date NULL,
	audit_ren_id int(11) NULL,
	nomor_sp varchar(150) NULL,
	tanggal_sp date NULL,
	dokumen_sp varchar(250) NULL,
	dokumen_data varchar(1000) NULL,
	penyusun varchar(255) NULL,
	periode_akhir varchar(6) NULL,
	tanggal_periode date NULL,
	tanggal_periode_akhir date NULL,
	auditee_by varchar(255) NULL,
	posting_kka_by varchar(150) NULL,
	posting_kka_date date NULL,
	posting_review_by varchar(150) NULL,
	posting_review_date date NULL,
	target_temuan date NULL,
	lampiran_dok varchar(1000) NULL,
	lampiran_dok_review varchar(1000) NULL,
	lampiran_dok_temuan varchar(1000) NULL,
	posting_temuan_by varchar(150) NULL,
	posting_temuan_date date NULL,
	posting_penyusunan_temuan_by varchar(150) NULL,
	posting_penyusunan_temuan_date date NULL,
	auditor_eksternal_tipe_id int4 NULL,
	kd_subdit_auditee varchar(50) NULL,
	metode_audit varchar(100) NULL,
	lampiran_hao varchar(250) NULL,
	lampiran_hao_by varchar(150) NULL,
	lampiran_hao_date date NULL,
	lampiran_hao_dirut varchar(250) NULL,
	lampiran_hao_dirut_nomor varchar(150) NULL,
	lampiran_hao_dirut_tanggal date NULL,
	posting_review_temuan_kaspi varchar(25) NULL,
	posting_review_temuan_kaspi_date date NULL,
	posting_review_temuan_gm varchar(25) NULL,
	posting_review_temuan_gm_date date NULL,
	posting_review_temuan_kaspi_alasan text NULL,
	posting_review_temuan_gm_alasan text NULL,
	lampiran_hao_batas_tinjut date NULL,
	halaman varchar(255) NULL,
	status_hapus varchar(1) NULL DEFAULT '0',
	status_hapus_by varchar(250) NULL,
	status_hapus_date timestamp NULL,
	nomor_sp2 varchar(150) NULL,
	tanggal_sp2 date NULL,
	dokumen_sp2 varchar(250) NULL
);

-- Table Triggers

-- create trigger audit_ren_to_audit before
-- insert
--     or
-- update
--     on
--     auditee for each row execute procedure audit_ren_to_audit_trg();
-- create trigger gen_auto_audit_trg_exec before
-- update
--     on
--     auditee for each row execute procedure gen_auto_audit_trg();
-- create trigger generate_no_audit_trg_exec before
-- insert
--     on
--     auditee for each row execute procedure generate_no_audit_trg();


-- auditor2 definition

-- Drop table



CREATE TABLE auditor2 (
	auditor_id int(11) NOT NULL,
	nipp varchar(25) NULL,
	nama varchar(150) NULL,
	jabatan varchar(255) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL
);


-- auditor_eksternal definition

-- Drop table



CREATE TABLE auditor_eksternal (
	auditor_eksternal_id int(11) NOT NULL,
	auditor_eksternal_tipe_id int(11) NOT NULL,
	nipp varchar(25) NULL,
	nama varchar(150) NULL,
	jabatan varchar(255) NULL,
	perusahaan varchar(255) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL
);


-- auditor_eksternal_tipe definition

-- Drop table



CREATE TABLE auditor_eksternal_tipe (
	auditor_eksternal_tipe_id int(11) NULL,
	nama varchar(150) NULL,
	keterangan varchar(255) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(255) NULL,
	updated_date date NULL
);

-- Table Triggers

-- create trigger generate_master_nomor after
-- insert
--     on
--     auditor_eksternal_tipe for each row execute procedure generate_master_nomor();


-- bidang_program_strategis definition

-- Drop table



CREATE TABLE bidang_program_strategis (
	bidang_program_strategis_id int(11) NOT NULL,
	tahun varchar(255) NULL,
	nama varchar(150) NULL,
	keterangan varchar(1000) NULL,
	aktif_sd date NULL,
	created_by varchar(250) NULL,
	created_date date NULL,
	updated_by varchar(250) NULL,
	updated_date date NULL,
	kode varchar(255) NULL
);


-- deskripsi_dampak definition

-- Drop table



CREATE TABLE deskripsi_dampak (
	deskripsi_dampak_id int(11) NOT NULL,
	jenis_dampak_id int(11) NULL,
	kriteria_dampak_id int(11) NULL,
	nama varchar(150) NULL,
	keterangan varchar(255) NULL,
	poin int(11) NULL,
	created_by varchar(250) NULL,
	created_date date NULL,
	updated_by varchar(250) NULL,
	updated_date date NULL
);


-- direktorat definition

-- Drop table



CREATE TABLE direktorat (
	kd_dit varchar(25) NOT NULL,
	kd_subdit varchar(25) NOT NULL,
	kd_subdit_parent varchar(25) NOT NULL,
	nama_dit varchar(150) NULL,
	nama_subdit varchar(150) NULL,
	pimpinan varchar(150) NULL,
	pimpinan_jabatan varchar(250) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL,
	nipp varchar(25) NULL,
	kode_surat varchar(25) NULL,
	titik_lokasi varchar(255) NULL
);


-- evaluasi_resiko definition

-- Drop table



CREATE TABLE evaluasi_resiko (
	evaluasi_resiko_id int(11) NOT NULL,
	nama varchar(150) NULL,
	keterangan varchar(255) NULL,
	created_by varchar(250) NULL,
	created_date date NULL,
	updated_by varchar(250) NULL,
	updated_date date NULL
);


-- faktor_penyebab definition

-- Drop table



CREATE TABLE faktor_penyebab (
	faktor_penyebab_id int(11) NOT NULL,
	nama varchar(150) NULL,
	keterangan varchar(255) NULL,
	created_by varchar(250) NULL,
	created_date date NULL,
	updated_by varchar(250) NULL,
	updated_date date NULL
);


-- hari_libur definition

-- Drop table



CREATE TABLE hari_libur (
	hari_libur_id int(11) NULL,
	nama varchar(100) NULL,
	keterangan varchar(255) NULL,
	tanggal_awal date NULL,
	tanggal_akhir date NULL,
	tanggal_fix varchar(4) NULL,
	jumlah_libur_bulan_ini int(11) NULL,
	jumlah_libur_bulan_depan int(11) NULL,
	status_cuti_bersama varchar(1) NULL,
	last_create_user varchar(100) NULL,
	last_create_date date NULL,
	last_update_user varchar(100) NULL,
	last_update_date date NULL
);


-- import_dha definition

-- Drop table



CREATE TABLE import_dha (
	no_kka text NULL,
	judul_temuan text NULL,
	tanggal_temuan text NULL,
	kriteria text NULL,
	kondisi text NULL,
	sebab text NULL,
	akibat text NULL,
	rekomendasi text NULL,
	bidang text NULL,
	urut text NULL
);


-- import_dha2 definition

-- Drop table



CREATE TABLE import_dha2 (
	no_kka text NULL,
	judul_temuan text NULL,
	tanggal_temuan text NULL,
	kriteria text NULL,
	kondisi text NULL,
	sebab text NULL,
	akibat text NULL,
	rekomendasi text NULL,
	bidang text NULL,
	urut text NULL
);


-- import_informasi definition

-- Drop table



CREATE TABLE import_informasi (
	nomor_audit text NULL,
	judul text NULL,
	pelaksanaan text NULL,
	mulai_audit text NULL,
	selesai_audit text NULL,
	lokasi text NULL,
	nipp_auditor text NULL,
	nama_auditor text NULL,
	jabatan_tim text NULL,
	bidang text NULL,
	unit_kerja text NULL,
	pimpinan_unit_kerja text NULL,
	nipp_auditee text NULL,
	nama_auditee text NULL,
	jabatan_auditee text NULL,
	bidang_auditee text NULL
);


-- jabatan_audit definition

-- Drop table



CREATE TABLE jabatan_audit (
	jabatan_audit_id int(11) NULL,
	kode varchar(30) NULL,
	nama varchar(150) NULL,
	keterangan varchar(255) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL
);


-- jabatan_auditor definition

-- Drop table



CREATE TABLE jabatan_auditor (
	jabatan_auditor_id varchar(10) NOT NULL,
	urut int(11) NULL,
	nama varchar(150) NULL,
	keterangan varchar(255) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL
);


-- jenis_dampak definition

-- Drop table



CREATE TABLE jenis_dampak (
	jenis_dampak_id int(11) NOT NULL,
	nama varchar(150) NULL,
	keterangan varchar(255) NULL,
	created_by varchar(250) NULL,
	created_date date NULL,
	updated_by varchar(250) NULL,
	updated_date date NULL
);


-- jenis_dokumen definition

-- Drop table



CREATE TABLE jenis_dokumen (
	jenis_dokumen_id int(11) NOT NULL,
	nama varchar(150) NULL,
	keterangan varchar(255) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL
);


-- jenis_temuan definition

-- Drop table



CREATE TABLE jenis_temuan (
	jenis_temuan_id int(11) NOT NULL,
	nama varchar(150) NULL,
	keterangan varchar(255) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL
);


-- kategori_resiko definition

-- Drop table



CREATE TABLE kategori_resiko (
	kategori_resiko_id int(11) NOT NULL,
	nama varchar(150) NULL,
	keterangan varchar(255) NULL,
	created_by varchar(250) NULL,
	created_date date NULL,
	updated_by varchar(250) NULL,
	updated_date date NULL
);


-- kemungkinan definition

-- Drop table



CREATE TABLE kemungkinan (
	kemungkinan_id int(11) NOT NULL,
	nama varchar(150) NULL,
	keterangan varchar(255) NULL,
	poin int(11) NULL,
	created_by varchar(250) NULL,
	created_date date NULL,
	updated_by varchar(250) NULL,
	updated_date date NULL
);


-- klasifikasi definition

-- Drop table



CREATE TABLE klasifikasi (
	klasifikasi_id varchar(255) NOT NULL,
	klasifikasi_parent_id varchar(255) NULL,
	nama varchar(255) NULL,
	keterangan varchar(1000) NULL,
	no_urut int(11) NULL,
	kode varchar(50) NULL,
	created_by varchar(100) NULL,
	created_date date NULL,
	updated_by varchar(100) NULL,
	updated_date date NULL
);


-- kriteria_dampak definition

-- Drop table



CREATE TABLE kriteria_dampak (
	kriteria_dampak_id int(11) NOT NULL,
	nama varchar(150) NULL,
	keterangan varchar(255) NULL,
	created_by varchar(250) NULL,
	created_date date NULL,
	updated_by varchar(250) NULL,
	updated_date date NULL
);


-- kriteria_kemungkinan definition

-- Drop table



CREATE TABLE kriteria_kemungkinan (
	kriteria_kemungkinan_id int(11) NOT NULL,
	nama varchar(150) NULL,
	keterangan varchar(255) NULL,
	created_by varchar(250) NULL,
	created_date date NULL,
	updated_by varchar(250) NULL,
	updated_date date NULL
);


-- nomor_surat definition

-- Drop table



CREATE TABLE nomor_surat (
	nomor_surat_id int(11) NOT NULL,
	kode varchar(25) NULL,
	nama varchar(150) NULL,
	format varchar(150) NULL,
	jumlah_karakter int(11) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL
);


-- notifikasi_pesan definition

-- Drop table


CREATE TABLE notifikasi_pesan (
	notifikasi_pesan_id int(11) NULL,
	pegawai_id varchar(20) NULL,
	user_login_id varchar(20) NULL,
	tanggal timestamp NULL,
	pesan text NULL,
	tipe varchar(1000) NULL,
	tipe_id varchar(50) NULL,
	status varchar(1) NULL DEFAULT 'X'
);


-- objek_audit definition

-- Drop table



CREATE TABLE objek_audit (
	objek_audit_id int(11) NOT NULL  AUTO_INCREMENT,
	bidang_program_strategis_id int(11) NOT NULL,
	bidang_program_strategis varchar(255) NULL,
	kode varchar(255) NULL,
	nama text NULL,
	keterangan text NULL,
	dokumen varchar(255) NULL,
	created_by varchar(255) NULL,
	created_date date NULL,
	updated_by varchar(255) NULL,
	updated_date date NULL,
	CONSTRAINT objek_audit_id_pkey PRIMARY KEY (objek_audit_id)
);


-- objek_audit_data definition

-- Drop table



CREATE TABLE objek_audit_data (
	objek_audit_data_id int(11) NOT NULL AUTO_INCREMENT,
	objek_audit_id int(11) NOT NULL,
	bidang_program_strategis_id int(11) NOT NULL,
	bidang_program_strategis text NULL,
	nama text NULL,
	sumber_data text NULL,
	created_by varchar(255) NULL,
	created_date date NULL,
	updated_by varchar(255) NULL,
	updated_date date NULL,
	CONSTRAINT objek_audit_data_id_pkey PRIMARY KEY (objek_audit_data_id)
);


-- pegawai definition

-- Drop table



CREATE TABLE pegawai (
	nik varchar(150) NULL,
	`name` varchar(250) NULL,
	kj varchar(150) NULL,
	`position` varchar(150) NULL,
	nama_posisi varchar(250) NULL,
	kd_pel varchar(150) NULL,
	nama_pel varchar(150) NULL,
	tempat_lahir varchar(150) NULL,
	tanggal_lahir varchar(150) NULL,
	gender varchar(150) NULL,
	religion varchar(150) NULL,
	ktp varchar(150) NULL,
	sub_area varchar(150) NULL,
	person_area varchar(150) NULL,
	sub_unit varchar(150) NULL,
	status varchar(150) NULL,
	email varchar(150) NULL,
	hp varchar(150) NULL,
	kd_dit varchar(25) NULL,
	kd_subdit varchar(25) NULL,
	create_date date NULL,
	update_date date NULL,
	nik_old varchar(255) NULL,
	status_flag varchar(255) NULL
);


-- pegawai_bak definition

-- Drop table



CREATE TABLE pegawai_bak (
	nik varchar(150) NULL,
	`name` varchar(250) NULL,
	kj varchar(150) NULL,
	`position` varchar(150) NULL,
	nama_posisi varchar(250) NULL,
	kd_pel varchar(150) NULL,
	nama_pel varchar(150) NULL,
	tempat_lahir varchar(150) NULL,
	tanggal_lahir varchar(150) NULL,
	gender varchar(150) NULL,
	religion varchar(150) NULL,
	ktp varchar(150) NULL,
	sub_area varchar(150) NULL,
	person_area varchar(150) NULL,
	sub_unit varchar(150) NULL,
	status varchar(150) NULL,
	email varchar(150) NULL,
	hp varchar(150) NULL,
	kd_dit varchar(25) NULL,
	kd_subdit varchar(25) NULL
);


-- pegawai_copy1 definition

-- Drop table



CREATE TABLE pegawai_copy1 (
	nik varchar(150) NULL,
	`name` varchar(250) NULL,
	kj varchar(150) NULL,
	`position` varchar(150) NULL,
	nama_posisi varchar(250) NULL,
	kd_pel varchar(150) NULL,
	nama_pel varchar(150) NULL,
	tempat_lahir varchar(150) NULL,
	tanggal_lahir varchar(150) NULL,
	gender varchar(150) NULL,
	religion varchar(150) NULL,
	ktp varchar(150) NULL,
	sub_area varchar(150) NULL,
	person_area varchar(150) NULL,
	sub_unit varchar(150) NULL,
	status varchar(150) NULL,
	email varchar(150) NULL,
	hp varchar(150) NULL,
	kd_dit varchar(25) NULL,
	kd_subdit varchar(25) NULL,
	create_date date NULL,
	update_date date NULL,
	nik_old varchar(255) NULL
);


-- pegawai_temp definition

-- Drop table



CREATE TABLE pegawai_temp (
	nik varchar(150) NULL,
	`name` varchar(250) NULL,
	kj varchar(150) NULL,
	`position` varchar(150) NULL,
	nama_posisi varchar(250) NULL,
	kd_pel varchar(150) NULL,
	nama_pel varchar(150) NULL,
	tempat_lahir varchar(150) NULL,
	tanggal_lahir varchar(150) NULL,
	gender varchar(150) NULL,
	religion varchar(150) NULL,
	ktp varchar(150) NULL,
	sub_area varchar(150) NULL,
	person_area varchar(150) NULL,
	sub_unit varchar(150) NULL,
	status varchar(150) NULL,
	email varchar(150) NULL,
	hp varchar(150) NULL,
	kd_dit varchar(25) NULL,
	kd_subdit varchar(25) NULL
);


-- pelatihan definition

-- Drop table



CREATE TABLE pelatihan (
	kd_terminal varchar(25) NULL,
	kd_cabang varchar(25) NULL,
	pelatihan_id int(11) NOT NULL,
	kode varchar(150) NULL,
	nama varchar(150) NULL,
	keterangan varchar(1000) NULL,
	penyelenggara varchar(150) NULL,
	tanggal date NULL,
	periode varchar(6) NULL,
	biaya int(11) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(250) NULL,
	updated_date date NULL
);

-- Table Triggers

-- create trigger generate_pelatihan_ren_trg_exec before
-- insert
--     or
-- update
--     on
--     pelatihan for each row execute procedure generate_pelatihan_ren_trg();


-- pelatihan_nomor definition

-- Drop table



CREATE TABLE pelatihan_nomor (
	pelatihan_id int(11) NULL,
	pelatihan_realisasi_id int(11) NULL,
	bulan varchar(2) NULL,
	tahun varchar(4) NULL,
	kode varchar(25) NULL,
	nomor int(11) NULL,
	surat varchar(100) NULL,
	created_date date NULL
);


-- pelatihan_pegawai definition

-- Drop table



CREATE TABLE pelatihan_pegawai (
	pelatihan_pegawai_id int(11) NOT NULL,
	pelatihan_id int(11) NULL,
	nipp varchar(25) NULL,
	nama varchar(150) NULL,
	jabatan varchar(250) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL
);


-- pelatihan_realisasi definition

-- Drop table



CREATE TABLE pelatihan_realisasi (
	kd_terminal varchar(25) NULL,
	kd_cabang varchar(25) NULL,
	pelatihan_realisasi_id int(11) NOT NULL,
	pelatihan_id int(11) NULL,
	kode varchar(255) NULL,
	nama varchar(255) NULL,
	keterangan varchar(1000) NULL,
	penyelenggara varchar(150) NULL,
	periode varchar(6) NULL,
	tanggal date NULL,
	biaya int(11) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(250) NULL,
	updated_date date NULL
);

-- Table Triggers

-- create trigger generate_pelatihan_rel_trg_exec before
-- insert
--     or
-- update
--     on
--     pelatihan_realisasi for each row execute procedure generate_pelatihan_rel_trg();


-- pelatihan_realisasi_pegawai definition

-- Drop table



CREATE TABLE pelatihan_realisasi_pegawai (
	pelatihan_realisasi_pegawai_id int(11) NOT NULL,
	pelatihan_realisasi_id int(11) NULL,
	nipp varchar(25) NULL,
	nama varchar(150) NULL,
	jabatan varchar(250) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL
);


-- penyusunan definition

-- Drop table



CREATE TABLE penyusunan (
	penyusunan_id int(11) NOT NULL AUTO_INCREMENT,
	kd_terminal varchar(255) NULL,
	kd_cabang varchar(255) NULL,
	kode varchar(255) NULL,
	nama varchar(255) NULL,
	pilihan varchar(255) NULL,
	jumlah varchar(255) NULL,
	hari_kerja varchar(255) NULL,
	keterangan text NULL,
	penyelenggara varchar(255) NULL,
	tanggal date NULL,
	periode varchar(255) NULL,
	biaya varchar(255) NULL,
	created_by varchar(255) NULL,
	created_date date NULL,
	updated_by varchar(255) NULL,
	updated_date date NULL,
	CONSTRAINT penyusunan_pkey PRIMARY KEY (penyusunan_id)
);

-- Table Triggers

-- create trigger generate_no_penyusunan_trg_exec before
-- insert
--     or
-- update
--     on
--     penyusunan for each row execute procedure generate_no_penyusunan_trg();


-- penyusunan_nomor definition

-- Drop table



CREATE TABLE penyusunan_nomor (
	penyusunan_id int(11) NOT NULL AUTO_INCREMENT,
	penyusunan_realisasi_id int(11) NULL,
	bulan varchar(255) NULL,
	tahun varchar(255) NULL,
	kode varchar(255) NULL,
	nomor bigint(11) NULL,
	surat varchar(255) NULL,
	created_date date NULL,
	CONSTRAINT penyusunan_nomor_pkey PRIMARY KEY (penyusunan_id)
);


-- proaksi_resiko_mitigasi definition

-- Drop table



CREATE TABLE proaksi_resiko_mitigasi (
	proaksi_resiko_mitigasi_id int(11) NOT NULL,
	program_aksi_resiko_id int(11) NULL,
	tahun varchar(4) NULL,
	target_pemenuhan_id int(11) NULL,
	mitigasi varchar(1000) NULL,
	biaya int(11) NULL,
	created_by varchar(250) NULL,
	created_date date NULL,
	updated_by varchar(250) NULL,
	updated_date date NULL
);


-- proaksi_resiko_mungkin definition

-- Drop table



CREATE TABLE proaksi_resiko_mungkin (
	proaksi_resiko_mungkin_id int(11) NOT NULL,
	program_aksi_resiko_id int(11) NULL,
	tahun varchar(4) NULL,
	target_pemenuhan_id int(11) NULL,
	mitigasi varchar(1000) NULL,
	biaya int(11) NULL,
	created_by varchar(250) NULL,
	created_date date NULL,
	updated_by varchar(250) NULL,
	updated_date date NULL
);


-- program_aksi_bukti definition

-- Drop table



CREATE TABLE program_aksi_bukti (
	program_aksi_bukti_id int(11) NOT NULL,
	program_aksi_resiko_id int(11) NULL,
	tahun varchar(4) NULL,
	nama varchar(150) NULL,
	keterangan varchar(255) NULL,
	created_by varchar(250) NULL,
	created_date date NULL,
	updated_by varchar(250) NULL,
	updated_date date NULL
);


-- program_aksi_resiko definition

-- Drop table



CREATE TABLE program_aksi_resiko (
	program_aksi_resiko_id int(11) NOT NULL,
	tahun varchar(4) NOT NULL,
	program_aksi_ren int(11) NULL,
	program_aksi_pntp int(11) NULL,
	program_aksi_real int(11) NULL,
	kategori_resiko_id int(11) NULL,
	faktor_penyebab_id int(11) NULL,
	jenis_dampak_id int(11) NULL,
	kriteria_dampak_id int(11) NULL,
	deskripsi_dampak_id int(11) NULL,
	kemungkinan_id int(11) NULL,
	evaluasi_resiko_id int(11) NULL,
	kemungkinan_id_stlh int(11) NULL,
	deskripsi_dampak_id_stlh int(11) NULL,
	identifikasi_resiko varchar(1000) NULL,
	sumber_penyebab varchar(1000) NULL,
	alasan_pemilihan_dampak varchar(1000) NULL,
	alasan_kemungkinan varchar(1000) NULL,
	dampak_setelah_mitigasi varchar(1000) NULL,
	nilai_resiko_awal int(11) NULL,
	nilai_resiko_akhir int(11) NULL,
	nilai_perubahan int(11) NULL,
	deskripsi_nilai_perubahan varchar(1000) NULL,
	created_by varchar(250) NULL,
	created_date date NULL,
	updated_by varchar(250) NULL,
	updated_date date NULL,
	persetujuan varchar(1) NULL,
	alasan_tolak varchar(1000) NULL,
	persetujuan_by varchar(250) NULL,
	persetujuan_date date NULL,
	kd_cabang varchar(4) NULL,
	kriteria_kemungkinan_id int(11) NULL
);


-- pustaka definition

-- Drop table



CREATE TABLE pustaka (
	pustaka_id int(11) NOT NULL AUTO_INCREMENT,
	tipe_perdir_id int(11) NOT NULL,
	klasifikasi_id varchar(255) NULL,
	klasifikasi_lain_id varchar(255) NULL,
	nomor text NULL,
	nama text NULL,
	keterangan text NULL,
	dokumen varchar(255) NULL,
	created_by varchar(255) NULL,
	created_date date NULL,
	updated_by varchar(255) NULL,
	updated_date date NULL,
	CONSTRAINT pustaka_id_pkey PRIMARY KEY (pustaka_id)
);


-- setting_akses definition

-- Drop table



CREATE TABLE setting_akses (
	akses_id int4 NULL,
	kode varchar(255) NULL,
	nipp varchar(255) NULL,
	created_by varchar(255) NULL,
	created_date date NULL,
	update_by varchar(255) NULL,
	update_date date NULL
);


-- setting_aplikasi definition

-- Drop table



CREATE TABLE setting_aplikasi (
	setting_aplikasi_id int(11) NULL,
	kode varchar(50) NULL,
	nama varchar(150) NULL,
	nilai varchar(50) NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL
);


-- tahapan definition

-- Drop table



CREATE TABLE tahapan (
	tahapan_id int(11) NOT NULL,
	kelompok varchar(150) NULL,
	kode varchar(25) NULL,
	nama varchar(150) NULL,
	keterangan varchar(250) NULL,
	urut int(11) NULL,
	status_dokumen varchar(1) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL
);


-- target_pemenuhan definition

-- Drop table



CREATE TABLE target_pemenuhan (
	target_pemenuhan_id int(11) NOT NULL,
	nama varchar(150) NULL,
	keterangan varchar(255) NULL,
	created_by varchar(250) NULL,
	created_date date NULL,
	updated_by varchar(250) NULL,
	updated_date date NULL
);


-- tipe_audit definition

-- Drop table



CREATE TABLE tipe_audit (
	tipe_audit_id int(11) NOT NULL,
	tipe varchar(10) NULL,
	nama varchar(150) NULL,
	keterangan varchar(255) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(255) NULL,
	updated_date date NULL
);


-- tipe_audit_tahapan definition

-- Drop table



CREATE TABLE tipe_audit_tahapan (
	tipe_audit_tahapan_id int(11) NOT NULL,
	tipe_audit_id varchar(10) NULL,
	kode varchar(25) NULL,
	nama varchar(150) NULL,
	keterangan varchar(250) NULL,
	urut int(11) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL
);


-- tipe_perdir definition

-- Drop table



CREATE TABLE tipe_perdir (
	tipe_perdir_id int(11) NOT NULL AUTO_INCREMENT,
	keterangan text NULL,
	created_by varchar(255) NULL,
	created_date date NULL,
	updated_by varchar(255) NULL,
	updated_date date NULL,
	CONSTRAINT tipe_perdir_pkey PRIMARY KEY (tipe_perdir_id)
);


-- umpan_balik definition

-- Drop table



CREATE TABLE umpan_balik (
	umpan_balik_id int(11) NOT NULL AUTO_INCREMENT,
	urut int4 NULL,
	keterangan text NULL,
	created_by varchar(255) NULL,
	created_date date NULL,
	updated_by varchar(255) NULL,
	updated_date date NULL,
	CONSTRAINT umpan_balik_pkey PRIMARY KEY (umpan_balik_id)
);


-- unit_kerja definition

-- Drop table



CREATE TABLE unit_kerja (
	kd_cabang varchar(25) NOT NULL,
	kd_terminal varchar(25) NOT NULL,
	nama_cabang varchar(150) NULL,
	nama_terminal varchar(150) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL,
	titik_lokasi varchar(255) NULL
);


-- user_group definition

-- Drop table



CREATE TABLE user_group (
	user_group_id int(11) NULL,
	kode varchar(150) NULL,
	nama varchar(150) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL
);


-- user_login definition

-- Drop table



CREATE TABLE user_login (
	user_login_id int(11) NULL,
	kd_dit varchar(25) NULL,
	kd_subdit varchar(25) NULL,
	nip varchar(25) NULL,
	nama varchar(150) NULL,
	jabatan varchar(150) NULL,
	user_login varchar(150) NULL,
	user_pass varchar(150) NULL,
	user_group_id varchar(30) NULL,
	user_group varchar(130) NULL,
	created_by varchar(150) NULL,
	created_date date NULL,
	updated_by varchar(150) NULL,
	updated_date date NULL
);

-- Table Triggers

-- create trigger user_login_trg before
-- insert
--     or
-- update
--     on
--     user_login for each row execute procedure user_login_trg();