<?php

namespace Database\Seeders;

use App\Models\Employee;
use App\Models\User;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Schema;
use Spatie\Permission\Models\Role;
use Spatie\Permission\Models\Permission;

class UserSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        Schema::disableForeignKeyConstraints();
        User::truncate();
        Schema::enableForeignKeyConstraints();

        $user1 = User::create(['name' => 'Super-Admin', 'username' => 'super-admin', 'email' => 'super-admin@tnc.web.id', 'password' => Hash::make('12345678'), 'is_active' => 1]);
        $emp1['user_id'] = $user1->id;
        $emp1['nama'] = $user1->name;
        $emp1['sso_email'] = $user1->email;
        Employee::updateOrCreate(['user_id' => $user1->id], $emp1);
        $user2 = User::create(['name' => 'Pentest 01', 'username' => 'pentest01', 'email' => 'pentest.01@indonesiaferry.co.id', 'password' => Hash::make('12345678'), 'is_active' => 1]);
        $emp2['user_id'] = $user2->id;
        $emp2['nama'] = $user2->name;
        $emp2['sso_email'] = $user2->email;
        Employee::updateOrCreate(['user_id' => $user2->id], $emp2);

        // $user = User::create(['name' => 'super-admin', 'username' => 'super-admin', 'email' => 'super-admin@tnc.web.id', 'password' => Hash::make('Dr4gonCl4w!'), 'is_active' => 1]);
        // $emp['user_id'] = $user->id;
        // $emp['nama']    = $user->name;
        // Employee::updateOrCreate(['user_id' => $user->id], $emp);

        $role = Role::create(['name' => 'Super Admin']);
     
        $permissions = Permission::pluck('id','id')->all();
   
        $role->syncPermissions($permissions);
     
        $user1->assignRole([$role->id]);
        $user2->assignRole([$role->id]);
    }
}
