@extends('admin.partial.admin_master')
@section('title')
<title>Project Lists | Aplikasi Project Management</title>
@endsection
@section('css')               
    <link href="{{ asset('backend/assets/css/icons.min.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/app.min.css') }}" rel="stylesheet" type="text/css" id="app-style"/>
    <link href="{{ asset('backend/assets/css/vendor/dataTables.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/vendor/responsive.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/vendor/buttons.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/vendor/select.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/vendor/fixedHeader.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/vendor/fixedColumns.bootstrap5.css') }}" rel="stylesheet" type="text/css" />  
    <link href="{{ asset('backend/assets/css/fontawesome.min.css') }}" rel="stylesheet" />
    <link href="{{ asset('backend/assets/css/toastr.css') }}" rel="stylesheet" />
    <style nonce="{{ csp_nonce() }}">
        .bold{
            font-weight: bold;
        }

        .dataTables_scrollBody{
            max-height: 670px !important;
        }
        
    </style>

@endsection
@section('main')
@can('Manage Project')
    <!-- Start Content-->
<div class="container-fluid">
                        
    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">Dashboard</a></li>                        
                        <li class="breadcrumb-item active"><a href="{{ route('project.index') }}">Manage Project</a></li>
                    </ol>
                </div>
                @can('Add Project')
                <h4 class="page-title">Monitoring Project 
                    {{-- <a href="{{ route('project.create') }}" class="btn btn-success btn-sm ms-3">Tambah Proyek</a></h4> --}}
                @endcan
                
            </div>
        </div>
    </div>  
    <form class="form-inline" action="{{ route('project.index') }}" method="GET">
        @csrf   
        <table>
            <tbody>
                <tr>
                    <td>Select Year</td>
                    <td><input class="date-own form-control" name="tahun" placeholder="select year .."></td>
                    <td><button type="submit" class="btn btn-primary btn-sm ms-3 find">Find</button></td>
                    <td><a href="{{ route('project.index') }}" class="btn btn-warning btn-sm ms-3 find">Reset</a></td>
                </tr>
            </tbody>
        </table>
    </form>
    
    <br>   
    <!-- end page title --> 
    <div class="row">
        <div class="col-12">
            <table id="fixed-columns-datatable" class="table nowrap row-border order-column w-100">
                <thead>
                    <tr>
                        <th>No</th>
                        <th>Project Code</th>
                        <th>Portfolio</th>
                        <th>Project Name</th>
                        <th>Project Owner</th>                       
                        <th>Project Manager</th>                       
                        <th>Start Date</th>
                        <th>End Date</th>
                        <th>Duration</th> 
                        <th>Budget</th> 
                        <th>Status</th>                                                                     
                        <th>Progress</th>
                    </tr>
                </thead>
            
            
                <tbody>
                    @foreach ($project as $key=>$row )
                    <tr>
                        <td>{{ $key+1 }}</td>
                        <td>{{ $row->full_number }}
                            {{-- @if ($row->status != 'Started' and !empty($row->Ganttask) and $row->Ganttask->count()>0 and (int)$row->Ganttask->first()->bobot != 100)
                            <br><span class="bold small">Bobot Belum Terisi! Silahkan isi Bobot di WBS!</span> <br>
                            @endif --}}
                        </td>
                        <td>{{ $row->portofolio ??''}}</td>
                        <td>
                            <span class="bold">{{ $row->project_name ??''}}</span>
                        </td>
                        <td>
                            <span>Name : </span><span class="bold">{{ $row->nama_po }}</span><br>
                            <span>Email : </span><span>{{ $row->project_owner ??''  }}</span><br>
                            <span>Position :</span><span>{{ $row->jabatan_po }}</span>
                        </td>
                        <td>
                            <span>Name : </span><span class="bold">{{ $row->nama_pm }}</span><br>
                            <span>Email : </span><span>{{ $row->project_manager ??''  }}</span><br>
                            <span>Position :</span><span>{{ $row->jabatan_pm }}</span>
                        </td>
                        <td>{{ Carbon\Carbon::parse($row->start_date ??'')->isoFormat('D MMMM Y') ??'' }}</td>
                        <td>{{ Carbon\Carbon::parse($row->end_date ??'')->isoFormat('D MMMM Y') ??'' }}</td>
                        <td>{{ $row->duration ??''}} Days</td> 
                        <td>{{ number_format($row->project_budget) }},-</td> 
                        <td>
                            @if ($row->status == 'draft')
                                <span class="badge bg-primary">Draft</span>
                            @elseif($row->status == 'Waiting for project manager approval')
                                <span class="badge bg-warning">Waiting for approval Manager</span>
                            @elseif($row->status == 'Waiting for project owner approval')
                                <span class="badge bg-danger">Waiting for project owner approval</span>
                            @elseif($row->status == 'ProjectOwnerApproved')
                                <span class="badge bg-success">Approved by Project Owner</span>   
                            @elseif($row->status == 'Project rejected by Manager')
                                <span class="badge bg-danger">Project rejected by Manager</span><br>
                                <span class="badge bg-warning">Reason: {{ $row->reason_rejected }}</span> 
                            @elseif($row->status == 'Project rejected by VP')
                                <span class="badge bg-danger">Project rejected by VP</span><br>
                                <span class="badge bg-warning">Reason: {{ $row->reason_rejected }}</span> 
                            @elseif($row->status == 'Started')
                                <span class="badge bg-success">Running</span> 
                            @endif
                            @if ($row->status != 'Started' and !empty($row->Ganttask) and $row->Ganttask->count()>0 and (int)$row->Ganttask->first()->bobot != 100)
                            <br><span class="bold small text-danger">Weight Hasn't Filled Yet! <br>Please fill weight in the WBS to Start the Project!</span> <br>
                            @endif
                            <br>
                            Last Updated by : 
                            <br>
                            {{ $row->ganttupdatedby->name??'' }}
                            <br>
                            Last Updated at:
                            <br>
                            {{ $row->gantt_updated_at }}
                        </td>                      
                        <td>
                            
                            {{-- @can('Update Project')
                            @if (($row->status == 'Disetujui VP')||($row->status == 'Started'))
                                <a href="{{ route('project.edit',encrypt($row->id)) }}" class="btn btn-secondary disabled"><i class="mdi mdi-square-edit-outline"></i> Edit</a><br><br>                                
                            @else
                                <a href="{{ route('project.edit',encrypt($row->id)) }}" class="btn btn-outline-primary"><i class="mdi mdi-square-edit-outline"></i> Edit</a><br><br>                                
                            @endif
                            @endcan --}}
                            
                            @can('Gantt Chart Project')
                                @if ($row->status == 'Started')
                                    <a href="{{ route('gantchart',encrypt($row->id)) }}" class="btn btn-secondary disabled"><i class="mdi mdi-chart-gantt"> Plan Gantt</i></a><br><br>
                                @else
                                    <a href="{{ route('gantchart',encrypt($row->id)) }}" class="btn btn-outline-warning"><i class="mdi mdi-chart-gantt"> Plan Gantt</i></a><br><br>
                                @endif
                                
                                @if($row->status == 'ProjectOwnerApproved') 
                                    @if ((int)$row->Ganttask->first()->bobot == 100)
                                        <a href="{{ route('actual_gantt',encrypt($row->id)) }}" class="btn btn-outline-danger"><i class="mdi mdi-chart-gantt"></i> Start</a><br><br>                                
                                      
                                    @endif                          
                                
                                @endif
                                @if($row->status == 'Started')            
                                    {{-- <a href="{{ route('gantchart.aktual.frame',encrypt($row->id)) }}" class="btn btn-outline-success"><i class="mdi mdi-chart-gantt"> Aktual 1</i></a><br><br> --}}
                                    <a href="{{ route('gantchart.aktual.v2',encrypt($row->id)) }}" class="btn btn-outline-success"><i class="mdi mdi-chart-gantt"> Real Gantt</i></a><br><br>
                                @endif
                            @endcan
                            @can('Delete Project')
                                @if(($row->status == 'Started') || ($row->status == 'ProjectOwnerApproved') || ($row->status == 'Waiting for project manager approval') || ($row->status == 'Waiting for project owner approval')) 
                                @else
                                <a href="#deletemodal{{ $row->id }}" class="btn btn-outline-danger"
                                    data-bs-toggle="modal" data-bs-target="#deletemodal{{ $row->id }}">
                                    <i class="mdi mdi-trash-can"></i>
                                </a>
                                {{-- modal  edit --}}
                                <div id="deletemodal{{ $row->id }}" class="modal fade" tabindex="-1" role="dialog" aria-hidden="true">
                                    <div class="modal-dialog modal-dialog-centered">
                                        <div class="modal-content bg-warning">                                        
                                            <form class="ps-3 pe-3" action="{{ route('project.destroy',encrypt($row->id)) }}" enctype="multipart/form-data" method="post">
                                                @csrf
                                                <div class="modal-body bg-warning">                                                
                                                    <div class="mb-3 text-center text-danger">
                                                        <h5>Are you sure for deleting this {{ $row->project_name??'' }} ?</h5>
                                                        <input type="hidden" name="id" value="{{ $row->id }}">
                                                    </div>            
                                                    <div class="mb-3 text-center">
                                                        <button type="button" class="btn btn-light" data-bs-dismiss="modal">Cancel</button>
                                                        <button class="btn btn-danger" type="submit">Delete</button>
                                                    </div>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div> 

                                @endif
                            @endcan
                            @can('Detail WBS')
                                <a href="{{ route('wbs.detil',encrypt($row->id)) }}" class="btn btn-outline-info">WBS</a><br><br>
                            @endcan
                            
                        </td>
                    </tr>
                    @endforeach                    
                </tbody>
            </table>     
        </div>
    </div>   
</div>
@endcan

@endsection
@section('js')   
    <script src="{{ asset('backend/assets/js/jquery-3.7.1.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/app.min.js') }}"></script>    
    <script src="{{ asset('backend/assets/js/vendor/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor/dataTables.bootstrap5.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor/dataTables.responsive.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor/responsive.bootstrap5.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor/dataTables.buttons.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor/buttons.bootstrap5.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor/buttons.html5.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor/buttons.flash.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor/buttons.print.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor/dataTables.keyTable.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor/dataTables.select.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor/fixedColumns.bootstrap5.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor/fixedHeader.bootstrap5.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/pages/demo.datatable-init.js') }}"></script>
    <script src="{{ asset('backend/assets/js/toastr.js') }}"></script>
    <script src="{{ asset('backend/assets/js/sweetalert2.all.min.js') }}"></script>
    
    <script nonce="{{ csp_nonce() }}">
        $(document).ready(function() {
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': jQuery('meta[name="csrf-token"]').attr('content')
                }
            });

            toastr.options.timeOut = 10000;
            @if (Session::has('error'))
                toastr.error('{{ Session::get('error') }}');
            @elseif (Session::has('success'))
                toastr.success('{{ Session::get('success') }}');
            @elseif (Session::has('warning'))
                toastr.success('{{ Session::get('warning') }}');
            @endif
        });

        $('.date').datepicker({
            format: 'yyyy-mm-dd'
        });
        
        $('.date-own').datepicker({
         minViewMode: 2,
         format: 'yyyy'
       });
    </script>
@endsection