@extends('admin.partial.admin_master')
@section('title')
<title>WBS Lists | Aplikasi Project Management</title>
@endsection
@section('css')               
    <link href="{{ asset('backend/assets/css/icons.min.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/app.min.css') }}" rel="stylesheet" type="text/css" id="app-style"/>
    <link href="{{ asset('backend/assets/css/vendor/dataTables.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/vendor/responsive.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/vendor/buttons.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/vendor/select.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/vendor/fixedHeader.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/vendor/fixedColumns.bootstrap5.css') }}" rel="stylesheet" type="text/css" />  
    <link href="{{ asset('backend/assets/css/fontawesome.min.css') }}" rel="stylesheet" />
    <link href="{{ asset('backend/assets/css/toastr.css') }}" rel="stylesheet" />
    <style nonce="{{ csp_nonce() }}">
        .bold{
            font-weight: bold;
        }
    </style>

@endsection
@section('main')
@can('Menu WBS')
    <!-- Start Content-->
<div class="container-fluid">
                        
    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">Dashboard</a></li>                        
                        <li class="breadcrumb-item active"><a href="{{ route('project.index') }}">Manage Wbs</a></li>
                    </ol>
                </div>   
                <h4 class="page-title">Manage WBS </h4>            
            </div>
        </div>
    </div>     
    <!-- end page title --> 
    <div class="row">
        <div class="col-12">
            <table id="scroll-horizontal-datatable" class="table table-striped w-100 nowrap">
                <thead>
                    <tr>
                        <th>No</th>
                        <th>Project Name</th>
                        {{-- <th>Start Wbs</th>
                        <th>Di Buat Oleh</th>
                        <th>Di Update Oleh</th>                                                 --}}
                        <th>Action</th>
                    </tr>
                </thead>
            
            
                <tbody>
                    @foreach ($wbs as $key=>$row )
                    <tr>
                        <td>{{ $key+1 }}</td>
                        <td>
                            <span class="bold">{{ $row->project->project_name ??''}}</span><br>
                            <span class="bold">Project Manager : </span> {{ $row->project->project_manager ??''  }}<br>
                            <span class="bold">Project Owner : </span> {{ $row->project->project_owner ??''  }}<br>                            
                        </td>
                        {{-- <td>{{ Carbon\Carbon::parse($row->start_date)->isoFormat('D MMMM Y') }}</td>
                        <td>{{ $row->createdby->name??'' }}</td>
                        <td>{{ $row->updatedby->name??'' }}</td>                         --}}
                        <td>
                            @can('Detail WBS')
                                <a href="{{ route('wbs.detil',encrypt($row->project_id)) }}" class="btn btn-outline-info"><i class="mdi mdi-eye-outline"></i></a>
                            @endcan
                            
                            {{-- <a href="#centermodal{{ $row->id }}" class="btn btn-outline-info edit"
                                data-bs-toggle="modal" data-bs-target="#centermodal{{ $row->id }}">
                                <i class="mdi mdi-square-edit-outline"></i>
                            </a> --}}
                            {{-- modal  edit --}}
                            {{-- <div id="centermodal{{ $row->id }}" class="modal fade" tabindex="-1" role="dialog" aria-hidden="true">
                                <div class="modal-dialog modal-dialog-centered">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h4 class="modal-title" id="myCenterModalLabel">Update WBS</h4>
                                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                        </div>
                                        <form class="ps-3 pe-3" action="{{ route('wbs.update') }}" enctype="multipart/form-data" method="post">
                                            @csrf
                                            <div class="modal-body">
                                                <div class="mb-3">
                                                    <label for="username" class="form-label">Pilih Project</label><span style="color: red;">*</span><br>
                                                    <select class="form-control select2" data-toggle="select2" required name="project_id">
                                                        <option>Select</option>
                                                        @foreach ($project as $item )
                                                            <option value="{{ $item->id }} @if($item->id == $row->id) selected @endif">{{ $item->project_name??'' }}</option>
                                                        @endforeach                                                                                                
                                                    </select>                                           
                                                </div>
                                                <div class="mb-3">
                                                    <label for="username" class="form-label">WBS Name</label><span style="color: red;">*</span>
                                                    <input class="form-control" type="text" maxlength="255" name="task_name"  placeholder="WBS Name" value="{{ $row->task_name??'' }}" required>
                                                    @if ($errors->has('task_name'))
                                                        <span class="text-danger">{{ $errors->first('task_name') }}</span>
                                                    @endif                                           
                                                </div>
            
                                                <div class="mb-3">
                                                    <label class="form-label">WBS Start Date</label>
                                                    <input class="date form-control" type="text" name="start_date" value="{{ $row->start_date }}">  
                                                    <input type="hidden" name="id" value="{{ $row->id }}"> 
                                                    <input type="hidden" name="project_id" value="{{ $row->project->id }}">  
                                                </div>
                                                <div class="mb-3 text-center">
                                                    <button class="btn btn-primary" type="submit">Update</button>
                                                </div>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>                                --}}
                            {{-- end of modal edit --}}
                            {{-- <a href="{{ route('project.gant',$row->id) }}" class="btn btn-outline-success"><i class="mdi mdi-chart-gantt"></i></a> --}}
                            {{-- <a href="{{ route('softdelete.kapal',encrypt($row->id)) }}" id="delete" class="btn btn-outline-danger"><i class="mdi mdi-trash-can"></i></a>                                                         --}}
                        </td>
                    </tr>
                    @endforeach                    
                </tbody>
            </table>     
        </div>
    </div>   
</div>
@endcan

@endsection
@section('js')        
    <script src="{{ asset('backend/assets/js/jquery-3.7.1.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/app.min.js') }}"></script>    
    <script src="{{ asset('backend/assets/js/vendor/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor/dataTables.bootstrap5.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor/dataTables.responsive.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor/responsive.bootstrap5.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor/dataTables.buttons.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor/buttons.bootstrap5.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor/buttons.html5.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor/buttons.flash.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor/buttons.print.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor/dataTables.keyTable.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor/dataTables.select.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor/fixedColumns.bootstrap5.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/vendor/fixedHeader.bootstrap5.min.js') }}"></script>
    <script src="{{ asset('backend/assets/js/pages/demo.datatable-init.js') }}"></script>
    <script src="{{ asset('backend/assets/js/toastr.js') }}"></script>
    <script src="{{ asset('backend/assets/js/sweetalert2.all.min.js') }}"></script>
    <script type="text/javascript">
        $(document).ready(function() {
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': jQuery('meta[name="csrf-token"]').attr('content')
                }
            });
        }); 
      
       


        $('.date').datepicker({  
            format: 'yyyy-mm-dd'
        });  
    </script>   
@endsection

