@extends('admin.partial.admin_master')
@section('title')
    User Management
@endsection
@section('css')
    <link href="{{ asset('backend/assets/css/icons.min.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/app.min.css') }}" rel="stylesheet" type="text/css" id="app-style"/>
    <link href="{{ asset('backend/assets/css/vendor/dataTables.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/vendor/responsive.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/vendor/buttons.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/vendor/select.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/vendor/fixedHeader.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/vendor/fixedColumns.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/toastr.css') }}" rel="stylesheet" type="text/css" id="app-style"/>   
@endsection
@section('main')
@can('Role Users')
<div class="container-fluid">
                        
    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">Dashboard</a></li>
                        <li class="breadcrumb-item active"><a href="javascript: void(0);">Update User Management</a></li>                        
                    </ol>
                </div>
                <h4 class="page-title">Update User</h4>
            </div>
        </div>
    </div>
    <!-- end page title --> 
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">                   
                    <div class="tab-content">
                        <div class="tab-pane show active">
                            <div class="row">
                                <form action="{{ route('user.update', $user->id) }}" method="post" enctype="multipart/form-data">
                                    @csrf
                                    <div class="col-lg-6">
                                        <div class="mb-3">
                                            <label for="simpleinput" class="form-label">Name</label>
                                            <input class="form-control" name="name" value="{{ $user->employee->name??'' }}" readonly>
                                        </div>
                                        <div class="mb-3">
                                            <label for="simpleinput" class="form-label">Email</label>
                                            <input class="form-control" name="email" value="{{ $user->email??'' }}" readonly>
                                        </div>
                                        <div class="mb-3">
                                            <label for="simpleinput" class="form-label">Role</label>
                                            <select class="form-control select2" name="roles" data-toggle="select2" required
                                                oninvalid="this.setCustomValidity('Please Select Role')"
                                                oninput="this.setCustomValidity('')">                                            
                                                @if (!empty($roles))
                                                    @foreach ($roles as $key => $value)
                                                        <option value="{{ $value->id ?? '' }}"
                                                            @if (!empty($user->getRoleNames()[0])) 
                                                                @if ($value->name == $user->getRoleNames()[0]) selected @endif
                                                            @endif>
                                                            {{ $value->name ?? '' }}</option>
                                                    @endforeach
                                                @endif                                      
                                            </select>
                                        </div>
                                        <div class="mb-3">
                                            <label for="simpleinput" class="form-label">Active / InActive</label>
                                            <select class="form-control select2" name="is_active" data-toggle="select2" required
                                                oninvalid="this.setCustomValidity('Please Select Role')"
                                                oninput="this.setCustomValidity('')">                                            
                                                <option value="1" @if ($user->is_active == 1) selected @endif>Active</option>
                                                <option value="0" @if ($user->is_active == 0) selected @endif>InActive</option>
                                            </select>
                                        </div> 
                                        <a href="{{ route('user.index') }}" class="btn btn-warning">Cancel</a>
                                        <button type="submit" class="btn btn-primary">Update</button>                                                                                                      
                                    </div>
                                </form>                                
                            </div>                                       
                        </div>                                       
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>
@endcan
@endsection
@section('js')
        <script src="{{ asset('backend/assets/js/jquery-3.7.1.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/toastr.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/app.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/jquery.dataTables.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/dataTables.bootstrap5.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/dataTables.responsive.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/responsive.bootstrap5.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/dataTables.buttons.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/buttons.bootstrap5.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/buttons.html5.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/buttons.flash.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/buttons.print.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/dataTables.keyTable.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/dataTables.select.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/fixedColumns.bootstrap5.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/fixedHeader.bootstrap5.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/pages/demo.datatable-init.js') }}"></script>
        <script nonce="{{ csp_nonce() }}">
            $(document).ready(function() {
                toastr.options.timeOut = 10000;
                @if (Session::has('error'))
                    toastr.error('{{ Session::get('error') }}');
                @elseif(Session::has('success'))
                    toastr.success('{{ Session::get('success') }}');
                @elseif(Session::has('warning'))
                    toastr.success('{{ Session::get('warning') }}');    
                @endif
            });
    
        </script>
@endsection

