@extends('admin.partial.admin_master')
@section('title')
    User Management
@endsection
@section('css')
    <link href="{{ asset('backend/assets/css/icons.min.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/app.min.css') }}" rel="stylesheet" type="text/css" id="app-style"/>
    <link href="{{ asset('backend/assets/css/vendor/dataTables.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/vendor/responsive.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/vendor/buttons.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/vendor/select.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/vendor/fixedHeader.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/vendor/fixedColumns.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/toastr.css') }}" rel="stylesheet" type="text/css" id="app-style"/>   
@endsection
@section('main')
@can('Role Users')
<div class="container-fluid">
                        
    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">Beranda</a></li>
                        <li class="breadcrumb-item active"><a href="javascript: void(0);">User Management</a></li>                        
                    </ol>
                </div>
                <h4 class="page-title">User Management
                    @if(env('APP_TEST') == true)
                    @else
                        <a href="#" data-bs-toggle="modal" data-bs-target="#add-new-task-modal" class="btn btn-success btn-sm ms-3">Add User</a>  
                    @endif                  
                </h4>     
                
            </div>
        </div>
    </div>
    <!-- end page title --> 
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="tab-content">
                        <div class="tab-pane show active">
                            <table id="scroll-horizontal-datatable" class="table table-striped w-100 nowrap">
                                <thead>
                                    <tr>
                                        <th>No</th>                                        
                                        <th>Name</th>
                                        <th>Email</th>
                                        <th>Position</th>
                                        <th>Branch</th> 
                                        <th>Status</th>                                       
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @forelse ($data as $key=>$row )
                                        <tr>
                                            <td>{{ $key+1 }}</td>
                                            {{-- <td>
                                                @if(!empty($row->getRoleNames()))
                                                  @foreach($row->getRoleNames() as $v)
                                                     <label class="badge bg-success">{{ $v }}</label>
                                                  @endforeach
                                                @endif
                                            </td> --}}
                                            <td>
                                                {{ $row->name??'' }}
                                                <br>
                                                @if(!empty($row->getRoleNames()))
                                                  @foreach($row->getRoleNames() as $v)
                                                     <label class="badge bg-success">{{ $v }}</label>
                                                  @endforeach
                                                @endif
                                            </td>
                                            <td>{{ $row->email??'' }}</td>
                                            <td>{{ $row->employee->jabatan??'' }}</td>
                                            <td>{{ $row->employee->cabang??'' }}</td>
                                            <td>
                                                @if ($row->is_active == 1)
                                                    <label class="badge bg-success">Active</label>
                                                @else
                                                    <label class="badge bg-danger">InActive</label>
                                                @endif
                                            </td>
                                            <td>
                                                @if(env('APP_TEST') == true)
                                                @else
                                                <a href="{{ route('user.edit',encrypt($row->id)) }}" class="btn btn-outline-primary"><i class="mdi mdi-square-edit-outline"></i></a>
                                                @endif
                                            </td>
                                        </tr>                                                                                 
                                    @empty
                                        <tr>
                                            <td colspan="7">Belum ada data</td>
                                        </tr>
                                    @endforelse                                                                   
                                </tbody>
                            </table>                                          
                        </div>
                    </div> 

                </div>
            </div>
        </div>
    </div> 
</div>

<!-- end row-->
<div class="modal fade task-modal-content" id="add-new-task-modal" tabindex="-1" role="dialog" aria-labelledby="NewTaskModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title" id="NewTaskModalLabel">Create New User</h4>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form class="p-2" action="{{ route('user.store') }}" method="POST" enctype="multipart/form-data">
                    @csrf
                    <div class="mb-3">
                        <label for="task-title" class="form-label">Full Name<span class="text-danger">*</span></label>
                        <input type="text" name="name" class="form-control form-control-light" placeholder="Enter Full Name" value="{{ old('name') }}" required>
                    </div>
                    <div class="mb-3">
                        <label for="task-title" class="form-label">Email<span class="text-danger">*</span></label>
                        <input type="email" name="email" class="form-control form-control-light" id="task-title" placeholder="Enter Email" value="{{ old('email') }}" required>
                    </div>
                    <div class="mb-3">
                        <label for="task-title" class="form-label">Password<span class="text-danger">*</span></label>
                        <input type="password" name="password" class="form-control form-control-light" placeholder="Enter Password" required>
                    </div>
                    <div class="mb-3">
                        <label class="form-label">Role</label>
                        <select class="form-select form-control-light" name="position">
                            <option>Select Role</option>
                            @foreach ($role as $val )
                            <option value="{{ $val->id }}">{{ $val->name }}</option>
                            @endforeach
                        </select>
                    </div>
                    

                    
                    
                    <div class="text-end">
                        <button type="button" class="btn btn-light" data-bs-dismiss="modal">Cancel</button>
                        <button type="submit" class="btn btn-primary">Submit</button>
                    </div>
                </form>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

@endcan



@endsection
@section('js')
        <script src="{{ asset('backend/assets/js/jquery-3.7.1.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/toastr.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/app.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/jquery.dataTables.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/dataTables.bootstrap5.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/dataTables.responsive.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/responsive.bootstrap5.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/dataTables.buttons.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/buttons.bootstrap5.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/buttons.html5.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/buttons.flash.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/buttons.print.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/dataTables.keyTable.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/dataTables.select.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/fixedColumns.bootstrap5.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/fixedHeader.bootstrap5.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/pages/demo.datatable-init.js') }}"></script>
        <script nonce="{{ csp_nonce() }}">
            $(document).ready(function() {
                toastr.options.timeOut = 10000;
                @if (Session::has('error'))
                    toastr.error('{{ Session::get('error') }}');
                @elseif(Session::has('success'))
                    toastr.success('{{ Session::get('success') }}');
                @elseif(Session::has('warning'))
                    toastr.success('{{ Session::get('warning') }}');    
                @endif
            });
    
        </script>
        
@endsection