@extends('admin.partial.admin_master')
@section('title')
    Create Role Management
@endsection
@section('css')
    <link href="{{ asset('backend/assets/css/icons.min.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/app.min.css') }}" rel="stylesheet" type="text/css" id="app-style"/>
    <link href="{{ asset('backend/assets/css/vendor/dataTables.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/vendor/responsive.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/vendor/buttons.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/vendor/select.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/vendor/fixedHeader.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/vendor/fixedColumns.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/toastr.css') }}" rel="stylesheet" type="text/css" id="app-style"/>   
@endsection
@section('main')
@can('Role Users')
<div class="container-fluid">
                        
    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">Beranda</a></li>
                        <li class="breadcrumb-item active"><a href="javascript: void(0);">Create Role</a></li>                        
                    </ol>
                </div>
                <h4 class="page-title">Create Role</h4>
            </div>
        </div>
    </div>
    <!-- end page title --> 
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">                    
                    <div class="tab-content">
                        <div class="tab-pane show active">
                            {!! Form::open(array('route' => 'roles.store','method'=>'POST')) !!}
                                <div class="row">
                                    <div class="col-xs-12 col-sm-12 col-md-12">
                                        <div class="form-group">
                                            <strong>Role Name:</strong>
                                            {!! Form::text('name', null, array('placeholder' => 'Name','class' => 'form-control')) !!}
                                        </div>
                                    </div>
                                    <div class="col-xs-12 col-sm-12 col-md-12">
                                        <div class="form-group">
                                            <strong>Permission:</strong>
                                            <br/>
                                            @foreach($permission as $value)
                                                <label>{{ Form::checkbox('permission[]', $value->id, false, array('class' => 'name')) }}
                                                {{ $value->name }}</label>
                                            <br/>
                                            @endforeach
                                        </div>
                                    </div>
                                    <div class="col-xs-12 col-sm-12 col-md-12 text-center">
                                        <button type="submit" class="btn btn-primary">Submit</button>
                                    </div>
                                </div>
                            {!! Form::close() !!}                                
                        </div>
                    </div> 

                </div>
            </div>
        </div>
    </div> 
</div>
@endcan
@endsection
@section('js')
        <script src="{{ asset('backend/assets/js/jquery-3.7.1.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/toastr.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/app.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/jquery.dataTables.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/dataTables.bootstrap5.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/dataTables.responsive.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/responsive.bootstrap5.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/dataTables.buttons.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/buttons.bootstrap5.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/buttons.html5.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/buttons.flash.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/buttons.print.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/dataTables.keyTable.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/dataTables.select.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/fixedColumns.bootstrap5.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/fixedHeader.bootstrap5.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/pages/demo.datatable-init.js') }}"></script>
        <script nonce="{{ csp_nonce() }}">
            $(document).ready(function() {
                toastr.options.timeOut = 10000;
                @if (Session::has('error'))
                    toastr.error('{{ Session::get('error') }}');
                @elseif(Session::has('success'))
                    toastr.success('{{ Session::get('success') }}');
                @elseif(Session::has('warning'))
                    toastr.success('{{ Session::get('warning') }}');    
                @endif
            });
    
        </script>
@endsection