@extends('admin.partial.admin_master')
@section('title')
    Role Management
@endsection
@section('css')
    <link href="{{ asset('backend/assets/css/icons.min.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/app.min.css') }}" rel="stylesheet" type="text/css" id="app-style"/>
    <link href="{{ asset('backend/assets/css/vendor/dataTables.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/vendor/responsive.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/vendor/buttons.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/vendor/select.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/vendor/fixedHeader.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/vendor/fixedColumns.bootstrap5.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('backend/assets/css/toastr.css') }}" rel="stylesheet" type="text/css" id="app-style"/>   
@endsection
@section('main')
@can('Role Users')
<div class="container-fluid">
                        
    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">Beranda</a></li>
                        <li class="breadcrumb-item active"><a href="javascript: void(0);">Role Management</a></li>                        
                    </ol>
                </div>
                <h4 class="page-title">Role Management</h4>
            </div>
        </div>
    </div>
    <!-- end page title --> 
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    {{-- <a href="{{ route('roles.create') }}" class="btn btn-primary mb-3">Add Role</a>  --}}
                    <div class="tab-content">
                        <div class="tab-pane show active">
                            <table id="basic-datatable" class="table dt-responsive nowrap w-100">
                                <thead>
                                    <tr>
                                        <th style="width:50px;">No</th>
                                        <th style="width:200px;">Role</th>
                                        <th>Action</th>                                        
                                    </tr>
                                </thead>
                                <tbody>
                                    @forelse ($roles as $key=>$row )
                                    
                                        <tr>
                                            <td>{{ $key+1 }}</td>                                            
                                            <td>{{ $row->name ?? ''}}</td>
                                            <td>
                                                @if(env('APP_TEST') == true)
                                                @else
                                                    @if (($row->name == 'Super Admin')||($row->name == 'Admin'))
                                                    <a href="{{ route('roles.edit',encrypt($row->id)) }}" class="btn btn-outline-info"><i class="mdi mdi-square-edit-outline"></i></a>&nbsp;&nbsp;
                                                    @else
                                                        <a href="{{ route('roles.edit',encrypt($row->id)) }}" class="btn btn-outline-info"><i class="mdi mdi-square-edit-outline"></i></a>&nbsp;&nbsp;
                                                        
                                                        {{-- <a href="{{ route('delete.roles',encrypt($row->id)) }}" id="delete" class="btn btn-outline-danger"><i class="mdi mdi-trash-can"></i></a> --}}
                                                    
                                                    @endif
                                                @endif
                                            </td>
                                        </tr>                                                                                 
                                    @empty
                                        <tr>
                                            <td colspan="3">Belum ada data</td>
                                        </tr>
                                    @endforelse                                                                   
                                </tbody>
                            </table>                                          
                        </div>
                    </div> 

                </div>
            </div>
        </div>
    </div> 
</div>
@endcan
@endsection
@section('js')
        <script src="{{ asset('backend/assets/js/jquery-3.7.1.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/toastr.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/app.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/jquery.dataTables.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/dataTables.bootstrap5.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/dataTables.responsive.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/responsive.bootstrap5.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/dataTables.buttons.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/buttons.bootstrap5.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/buttons.html5.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/buttons.flash.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/buttons.print.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/dataTables.keyTable.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/dataTables.select.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/fixedColumns.bootstrap5.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/vendor/fixedHeader.bootstrap5.min.js') }}"></script>
        <script src="{{ asset('backend/assets/js/pages/demo.datatable-init.js') }}"></script>
        <script nonce="{{ csp_nonce() }}">
            $(document).ready(function() {
                toastr.options.timeOut = 10000;
                @if (Session::has('error'))
                    toastr.error('{{ Session::get('error') }}');
                @elseif(Session::has('success'))
                    toastr.success('{{ Session::get('success') }}');
                @elseif(Session::has('warning'))
                    toastr.success('{{ Session::get('warning') }}');    
                @endif
            });
    
        </script>
@endsection