
<?php $__env->startSection('title'); ?>
<title>Project Lists | Aplikasi Project Management</title>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('css'); ?>               
    <link href="<?php echo e(asset('backend/assets/css/icons.min.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('backend/assets/css/app.min.css')); ?>" rel="stylesheet" type="text/css" id="app-style"/>
    <link href="<?php echo e(asset('backend/assets/css/vendor/dataTables.bootstrap5.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('backend/assets/css/vendor/responsive.bootstrap5.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('backend/assets/css/vendor/buttons.bootstrap5.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('backend/assets/css/vendor/select.bootstrap5.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('backend/assets/css/vendor/fixedHeader.bootstrap5.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('backend/assets/css/vendor/fixedColumns.bootstrap5.css')); ?>" rel="stylesheet" type="text/css" />  
    <link href="<?php echo e(asset('backend/assets/css/fontawesome.min.css')); ?>" rel="stylesheet" />
    <link href="<?php echo e(asset('backend/assets/css/toastr.css')); ?>" rel="stylesheet" />
    <style nonce="<?php echo e(csp_nonce()); ?>">
        .bold{
            font-weight: bold;
        }

        .dataTables_scrollBody{
            max-height: 670px !important;
        }
        
    </style>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('main'); ?>
<?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('Manage Project')): ?>
    <!-- Start Content-->
<div class="container-fluid">
                        
    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <li class="breadcrumb-item"><a href="<?php echo e(route('dashboard')); ?>">Dashboard</a></li>                        
                        <li class="breadcrumb-item active"><a href="<?php echo e(route('project.index')); ?>">Manage Project</a></li>
                    </ol>
                </div>
                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('Add Project')): ?>
                <h4 class="page-title">Register Project 
                    <a href="<?php echo e(route('project.create')); ?>" class="btn btn-success btn-sm ms-3">Add Project</a></h4>
                <?php endif; ?>
                
            </div>
        </div>
    </div> 
    <form class="form-inline" action="<?php echo e(route('registeredproject')); ?>" method="GET">
        <?php echo csrf_field(); ?>   
        <table>
            <tbody>
                <tr>
                    <td>Select Year</td>
                    <td><input class="date-own form-control" name="tahun" placeholder="select year .."></td>
                    <td><button type="submit" class="btn btn-primary btn-sm ms-3 find">Find</button></td>
                    <td><a href="<?php echo e(route('registeredproject')); ?>" class="btn btn-warning btn-sm ms-3 find">Reset</a></td>
                </tr>
            </tbody>
        </table>
    </form>
    
    <br>
    <!-- end page title --> 
    <div class="row">
        <div class="col-12">
            <table id="fixed-columns-datatable" class="table nowrap row-border order-column w-100">
                <thead>
                    <tr>
                        <th>No</th>
                        <th>Project Code</th>
                        <th>Portfolio</th>
                        <th>Project Name</th>
                        <th>Project Owner</th>                       
                        <th>Project Manager</th>                       
                        <th>Start Date</th>
                        <th>End Date</th>
                        <th>Duration</th> 
                        <th>Budget</th> 
                        
                        
                    </tr>
                </thead>
            
            
                <tbody>
                    <?php $__currentLoopData = $project; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td><?php echo e($key+1); ?></td>
                        <td><?php echo e($row->full_number); ?>

                            
                            <?php if($row->status == 'draft'): ?>
                                <span class="badge bg-primary">Draft</span>
                            <?php elseif($row->status == 'Menunggu Persetujuan Manager'): ?>
                                <span class="badge bg-warning">Menunggu Persetujuan Manager</span>
                            <?php elseif($row->status == 'Menunggu Persetujuan VP'): ?>
                                <span class="badge bg-danger">Menunggu Persetujuan VP</span>
                            <?php elseif($row->status == 'Disetujui VP'): ?>
                                <span class="badge bg-success">Project disetujui</span>   
                            <?php elseif($row->status == 'Project ditolak Manager'): ?>
                                <span class="badge bg-danger">Project ditolak Manager</span><br>
                                <span class="badge bg-warning">Reason: <?php echo e($row->getLastRejected->reason); ?></span> 
                            <?php elseif($row->status == 'Project ditolak VP'): ?>
                                <span class="badge bg-danger">Project ditolak VP</span><br>
                                <span class="badge bg-warning">Reason: <?php echo e($row->getLastRejected->reason); ?></span> 
                            <?php elseif($row->status == 'Started'): ?>
                                <span class="badge bg-success">Project dijalankan</span> 
                            <?php endif; ?>

                            <br>
                            

                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('Update Project')): ?>
                            <?php if(($row->status == 'Disetujui VP')||($row->status == 'Started')): ?>
                                <a href="<?php echo e(route('project.edit',encrypt($row->id))); ?>" class="btn btn-secondary disabled" data-toggle="tooltip" data-placement="top" title="Edit"><i class="mdi mdi-square-edit-outline"></i></a> 
                                
                                <?php if(!empty($row->project_doc)): ?>
                                <span><a href="<?php echo e(Storage::url('app/public/project_doc/' . $row->project_doc)); ?>"
                                        class="btn btn-outline-success" data-toggle="tooltip" data-placement="top" title="Download Supporting Document"><i class=" mdi mdi-download-box-outline"></i></a></span>
                                <?php endif; ?>
                                <?php if(!empty($row->project_doc)): ?>
                                        <span><a href="<?php echo e(Storage::url('app/public/project_doc/' . $row->risk_doc)); ?>"
                                                class="btn btn-outline-primary" data-toggle="tooltip" data-placement="top" title="Download Risk Profile"><i class=" mdi mdi-file-download-outline"></i></a></span>
                                <?php endif; ?>
                                <a href="<?php echo e(route('downloadpdf',encrypt($row->id))); ?>" class="btn btn-outline-danger" data-toggle="tooltip" data-placement="top" title="Download Project Information"><i class="mdi mdi-cloud-download-outline"></i></a>
                                
                                <br><br>                                       

                                
                                <br><br>
                            <?php else: ?>
                                <a href="<?php echo e(route('project.edit',encrypt($row->id))); ?>" class="btn btn-outline-primary" data-toggle="tooltip" data-placement="top" title="Edit"><i class="mdi mdi-square-edit-outline"></i></a>
                                
                                <?php if(!empty($row->project_doc)): ?>
                                        <span><a href="<?php echo e(Storage::url('app/public/project_doc/' . $row->project_doc)); ?>"
                                                class="btn btn-outline-success" data-toggle="tooltip" data-placement="top" title="Download Supporting Document"><i class=" mdi mdi-download-box-outline"></i></a></span>
                                <?php endif; ?>
                                <?php if(!empty($row->project_doc)): ?>
                                        <span><a href="<?php echo e(Storage::url('app/public/project_doc/' . $row->risk_doc)); ?>"
                                                class="btn btn-outline-primary" data-toggle="tooltip" data-placement="top" title="Download Risk Profile"><i class=" mdi mdi-file-download-outline"></i></a></span>
                                <?php endif; ?>
                                <a href="<?php echo e(route('downloadpdf',encrypt($row->id))); ?>" class="btn btn-outline-danger" data-toggle="tooltip" data-placement="top" title="Download Project Information"><i class="mdi mdi-cloud-download-outline"></i></a>
                                
                                <br><br>                                       
                            <?php endif; ?>
                            <?php endif; ?>
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('Delete Project')): ?>
                                <?php if(($row->status == 'Started') || ($row->status == 'Disetujui VP') || ($row->status == 'Menunggu Persetujuan Manager') || ($row->status == 'Menunggu Persetujuan VP')): ?> 
                                <?php else: ?>
                                <a href="#deletemodal<?php echo e($row->id); ?>" class="btn btn-outline-danger"
                                    data-bs-toggle="modal" data-bs-target="#deletemodal<?php echo e($row->id); ?>">
                                    <i class="mdi mdi-trash-can"></i>
                                </a>
                                
                                <div id="deletemodal<?php echo e($row->id); ?>" class="modal fade" tabindex="-1" role="dialog" aria-hidden="true">
                                    <div class="modal-dialog modal-dialog-centered">
                                        <div class="modal-content bg-warning">                                        
                                            <form class="ps-3 pe-3" action="<?php echo e(route('project.destroy',encrypt($row->id))); ?>" enctype="multipart/form-data" method="post">
                                                <?php echo csrf_field(); ?>
                                                <div class="modal-body bg-warning">                                                
                                                    <div class="mb-3 text-center text-danger">
                                                        <h5>Yakin Hapus Project <?php echo e($row->project_name??''); ?> ini?</h5>
                                                        <input type="hidden" name="id" value="<?php echo e($row->id); ?>">
                                                    </div>            
                                                    <div class="mb-3 text-center">
                                                        <button type="button" class="btn btn-light" data-bs-dismiss="modal">Batal</button>
                                                        <button class="btn btn-danger" type="submit">HAPUS</button>
                                                    </div>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div> 

                                <?php endif; ?>
                            <?php endif; ?>

                            

                        </td>
                        <td><?php echo e($row->portofolio ??''); ?></td>
                        <td>
                            <span class="bold"><?php echo e($row->project_name ??''); ?></span>
                        </td>
                        <td>
                            <span>Name : </span><span class="bold"><?php echo e($row->nama_po); ?></span><br>
                            <span>Email : </span><span><?php echo e($row->project_owner ??''); ?></span><br>
                            <span>Position :</span><span><?php echo e($row->jabatan_po); ?></span>
                        </td>
                        <td>
                            <span>Name : </span><span class="bold"><?php echo e($row->nama_pm); ?></span><br>
                            <span>Email : </span><span><?php echo e($row->project_manager ??''); ?></span><br>
                            <span>Position :</span><span><?php echo e($row->jabatan_pm); ?></span>
                        </td>
                        <td><?php echo e(Carbon\Carbon::parse($row->start_date ??'')->isoFormat('D MMMM Y') ??''); ?></td>
                        <td><?php echo e(Carbon\Carbon::parse($row->end_date ??'')->isoFormat('D MMMM Y') ??''); ?></td>
                        <td><?php echo e($row->duration ??''); ?> Days</td> 
                        <td><?php echo e(number_format($row->project_budget)); ?>,-</td> 
                        
                        
                    </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>                    
                </tbody>
            </table>     
        </div>
    </div>   
</div>
<?php endif; ?>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('js'); ?>
    <script src="<?php echo e(asset('backend/assets/js/jquery-3.7.1.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/app.min.js')); ?>"></script>    
    <script src="<?php echo e(asset('backend/assets/js/vendor/jquery.dataTables.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor/dataTables.bootstrap5.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor/dataTables.responsive.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor/responsive.bootstrap5.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor/dataTables.buttons.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor/buttons.bootstrap5.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor/buttons.html5.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor/buttons.flash.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor/buttons.print.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor/dataTables.keyTable.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor/dataTables.select.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor/fixedColumns.bootstrap5.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/vendor/fixedHeader.bootstrap5.min.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/pages/demo.datatable-init.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/toastr.js')); ?>"></script>
    <script src="<?php echo e(asset('backend/assets/js/sweetalert2.all.min.js')); ?>"></script>
    
    <script nonce="<?php echo e(csp_nonce()); ?>">
        $(document).ready(function() {
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': jQuery('meta[name="csrf-token"]').attr('content')
                }
            });

            toastr.options.timeOut = 10000;
            <?php if(Session::has('error')): ?>
                toastr.error('<?php echo e(Session::get('error')); ?>');
            <?php elseif(Session::has('success')): ?>
                toastr.success('<?php echo e(Session::get('success')); ?>');
            <?php elseif(Session::has('warning')): ?>
                toastr.success('<?php echo e(Session::get('warning')); ?>');
            <?php endif; ?>
        });

        $('.date').datepicker({
            format: 'yyyy-mm-dd'
        });
        
        $('.date-own').datepicker({
         minViewMode: 2,
         format: 'yyyy'
       });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.partial.admin_master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\laragon\www\projectmanagement\resources\views/admin/manage_project/registeredproject.blade.php ENDPATH**/ ?>